jQuery(document).ready(function ($) {
    $(".runa-tabs .runa-tabs-nav a").on('click', function () {
        $(this).closest('.runa-tabs-nav').find('a.active').removeClass('active');
        $(this).addClass('active');
        $(this).closest('.runa-tabs').find('.runa-tabs-tab.active').removeClass('active');
        $(this).closest('.runa-tabs').find($(this).attr('href')).addClass('active');
        return false;
    });
    $(".tooltip").tooltipster({
        animation: 'grow'
    });

    $(".s2").select2({
        width: '300px'
    });

    $(".s2_2").select2({
        width: '300px',
        minimumResultsForSearch: -1
    });

    $("#sortable-curriculum").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: '.handle',
        update: function (event, ui) {
            recalculate_values($(this), 'curriculum');
        }
    });

    $("#sortable-questions").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: '.handle',
        update: function (event, ui) {
            recalculate_questions_values($(this), 'quiz_questions');
        }
    });

    $("#sortable-question-options").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: '.handle',
        update: function (event, ui) {
            recalculate_options_values($(this), 'question_options');
        }
    });

    $("#certificates-gallery").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: 'img',
        update: function () {
            recalculate_values($(this), 'certificates');
        }
    });

    $("#group-pictures-gallery").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: 'img',
        update: function () {
            recalculate_values($(this), 'group_pictures');
        }
    });

    $("#group-attachments-list").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: '.handle',
        update: function () {
            recalculate_values($(this), 'group_attachments');
        }
    });

    $("#course-attachments-list").sortable({
        cursor: "move",
        revert: true,
        opacity: 0.5,
        handle: '.handle',
        update: function () {
            recalculate_values($(this), 'course_attachments');
        }
    });

    // Curriculum UI START

    $("#sortable-curriculum").on('click', '.remove', function () {
        $(this).parent().remove();
        return false;
    });

    $(".curiculum_add_lesson").on('click', function () {
        var id = 's2_' + uniqId();
        var html = '<li>';
        html += '<i class="handle fa fa-file-text-o"></i>';
        html += '<select class="value '+ id +'">';
        html += '</select>';
        html += '<a class="remove" href="#"><i class="fa fa-times"></i></a>';
        html += '</li>';
        $("#sortable-curriculum").append(html);
        $('.' + id).select2({
            data: all_lessons_array,
            width: '300px'
        });
        recalculate_values($("#sortable-curriculum"), 'curriculum');
        return false;
    });

    $(".curiculum_add_quiz").on('click', function () {
        var id = 's2_' + uniqId();
        var html = '<li>';
        html += '<i class="handle fa fa-check-square-o"></i>';
        html += '<select class="value '+ id +'">';
        html += '</select>';
        html += '<a class="remove" href="#"><i class="fa fa-times"></i></a>';
        html += '</li>';
        $("#sortable-curriculum").append(html);
        $('.' + id).select2({
            data: all_quizzes_array,
            width: '300px'
        });
        recalculate_values($("#sortable-curriculum"), 'curriculum');
        return false;
    });

    $(".curiculum_add_section").on('click', function () {
        var html = '<li>';
        html += '<i class="handle fa fa-font"></i>';
        html += '<input class="value" type="text" value="" />';
        html += '<a class="remove" href="#"><i class="fa fa-times"></i></a>';
        html += '</li>';
        $("#sortable-curriculum").append(html);
        recalculate_values($("#sortable-curriculum"), 'curriculum');
        return false;
    });

    // Curriculum UI END


    // Quiz Questions UI Start

    $("#sortable-questions").on('click', '.remove', function () {
        $(this).parent().remove();
        return false;
    });

    $(".add_question").on('click', function () {
        var id = 's2_' + uniqId();
        var html = '<li>';
        html += '<i class="handle num"></i>';
        html += '<select class="value '+ id +'">';
        html += '</select>';
        html += '<input class="question_point" type="number" placeholder="Point" />';
        html += '<a class="remove" href="#"><i class="fa fa-times"></i></a>';
        html += '</li>';
        $("#sortable-questions").append(html);
        $('.' + id).select2({
            data: all_questions_array,
            width: '300px'
        });
        recalculate_questions_values($("#sortable-questions"), 'quiz_questions');
        return false;
    });

    // Quiz Questions UI END

    // Quiz Questions Options UI START

    $("#sortable-question-options").on('click', '.remove', function () {
        $(this).parent().remove();
        return false;
    });

    $(".add_question_option").on('click', function () {
        var id = 's2_' + uniqId();
        var html = '<li>';
        html += '<i class="handle num"></i>';
        html += '<input class="value" type="text" />';
        html += '<label class="correct-answer">Correct <input type="radio" name="question_answer" value=""></label>';
        html += '<a class="remove" href="#"><i class="fa fa-times"></i></a>';
        html += '</li>';
        $("#sortable-question-options").append(html);
        recalculate_options_values($("#sortable-question-options"), 'question_options');
        return false;
    });

    // Quiz Questions Options UI END

    if( $("#course_type").val() == 'onsite' ){
        $(".onsite-param").slideDown(300);
    }else{
        $(".onsite-param").slideUp(300);
    }

    if( $("#course_type").val() == 'online' ){
        $(".online-param").slideDown(300);
    }else{
        $(".online-param").slideUp(300);
    }

    $("#course_type").on('change', function () {
        if( $(this).find('option:selected').val() == 'onsite' ){
            $(".onsite-param").slideDown(300);
            $(".online-param").slideUp(300);
        }else{
            $(".online-param").slideDown(300);
            $(".onsite-param").slideUp(300);
        }
    });

    $("#schedule-list .datetime-picker").datetimepicker({
        format: "YYYY-MM-DD HH:mm:ss"
    });
    
    $("#schedule-list").on('click', '.remove-lesson', function () {
        $(this).parent().fadeOut(300, function () {
            $(this).remove();
        });
        return false;
    });

    $("#schedule_add_lesson").on('click', function () {
        var s2_id = 's2_' + uniqId();
        var datepicker_id = 'datetime-picker_' + uniqId();
        var html = '<li>';
        html +='<div class="datetime-start">';
        html +='<label>' + schedule_texts['start'] + '</label>';
        html +='<input class="' + datepicker_id + ' lesson_start" type="text" name="schedule[][datetime_start]" value="" />';
        html +='</div>';
        html +='<div class="datetime-end">';
        html +='<label>' + schedule_texts['end'] + '</label>';
        html +='<input class="' + datepicker_id + ' lesson_end" type="text" name="schedule[][datetime_end]" value="" />';
        html +='</div>';
        html +='<div class="lesson-repeat">';
        html +='<label>' + schedule_texts['repeat'] + '</label>';
        html +='<select class="' + s2_id + ' lesson_repeat" name="schedule[][repeat][]" multiple>';
        $.each(schedule_texts['days'], function (i) {
            html +='<option value="' + i + '">' + schedule_texts['days'][i] + '</option>';
        });
        html +='</select>';
        html +='</div>';
        html +='<a class="remove-lesson" href="#">' + schedule_texts['delete'] + '</a>';
        html += '</li>';

        $("#schedule-list").append(html);

        $("#schedule-list > li").each(function (i) {
            $(this).find('.lesson_start').attr('name', 'schedule[' + i + '][datetime_start]');
            $(this).find('.lesson_end').attr('name', 'schedule[' + i + '][datetime_end]');
            $(this).find('.lesson_repeat').attr('name', 'schedule[' + i + '][repeat][]');
        });
        
        $('.' + s2_id).select2({
            width: '300px'
        });

        $('.' + datepicker_id).datetimepicker({
            format: "YYYY-MM-DD HH:mm:ss"
        });

        return false;
    });

});

var frames = [];

function runa_add_images( gallery_id, name ) {
    var $ = jQuery;

    if (frames['frame_' + name]) {
        frames['frame_' + name].open();
        return;
    }

    frames['frame_' + name] = wp.media({
        library: {type: 'image'},
        multiple: true
    });

    frames['frame_' + name].on('select', function () {
        var selection = frames['frame_' + name].state().get('selection');
        var html = '';
        selection.map( function( attachment ) {
            attachment = attachment.toJSON();
            html += '<li>';
            html += '<div class="image-wr">';
            html += '<a onclick="runa_remove_image( jQuery(this), jQuery(\'#' + $(gallery_id).attr( 'id' ) + '\'), \'' + name + '\' ); return false;" href="#" class="remove"><i class="fa fa-times"></i></a>';
            if( attachment.sizes.thumbnail ){
                html += '<img src="' + attachment.sizes.thumbnail.url + '" alt="" />';
            }else{
                html += '<img src="' + attachment.sizes.full.url + '" alt="" />';
            }
            html += '</div>';
            html += '<input class="value" type="hidden" value="' + attachment.id + '" />';
            html += '</li>';
        });
        gallery_id.html( html );
        recalculate_values(gallery_id, name);
    });

    frames['frame_' + name].on('open', function () {
        var selection = frames['frame_' + name].state().get('selection');
        $(gallery_id).find('input').each(function (index, element) {
            var id = $(element).val();
            attachment = wp.media.attachment(id);
            attachment.fetch();
            selection.add(attachment ? [attachment] : []);
        });
    });

    frames['frame_' + name].open();

}

function runa_add_attachments( attachment_id, name ) {
    var $ = jQuery;

    if (frames['frame_' + name]) {
        frames['frame_' + name].open();
        return;
    }

    frames['frame_' + name] = wp.media({
        multiple: true
    });

    frames['frame_' + name].on('select', function () {
        var selection = frames['frame_' + name].state().get('selection');
        var html = '';
        selection.map( function( attachment ) {
            attachment = attachment.toJSON();
            html += '<li>';
            html += '<i class="handle ' + ulms_get_file_icon(get_the_extension(attachment.url).replace('.', '')) + '"></i>';
            html += '<div class="title"><a href="' + attachment.editLink + '">' + attachment.filename + '</a></div>';
            html += '<a onclick="runa_remove_image( jQuery(this), jQuery(\'#' + $(attachment_id).attr( 'id' ) + '\'), \'' + name + '\' ); return false;" href="#" class="remove"><i class="fa fa-times"></i></a>';
            html += '<input class="value" type="hidden" value="' + attachment.id + '" />';
            html += '</li>';
        });
        attachment_id.html( html );
        recalculate_values(attachment_id, name);
    });

    frames['frame_' + name].on('open', function () {
        var selection = frames['frame_' + name].state().get('selection');
        $(attachment_id).find('input').each(function (index, element) {
            var id = $(element).val();
            attachment = wp.media.attachment(id);
            attachment.fetch();
            selection.add(attachment ? [attachment] : []);
        });
    });

    frames['frame_' + name].open();

}

function runa_remove_image( image_row, gallery_id, name ) {
    image_row.closest('li').remove();
    recalculate_values(gallery_id, name);
}

function recalculate_values(repeatable, name) {
    repeatable.find('.value').each(function () {
        var i = jQuery(this).parent().index();
        jQuery(this).attr('name', name + '[' + i + ']');
        jQuery(this).siblings('.num').text(i+1);
    });
}

function recalculate_questions_values(repeatable, name) {
    repeatable.find('.value').each(function () {
        var i = jQuery(this).parent().index();
        jQuery(this).attr('name', name + '[' + i + '][question_id]');
        jQuery(this).siblings('.question_point').attr('name', name + '[' + i + '][question_point]');
        jQuery(this).siblings('.num').text(i+1);
    });
}

function recalculate_options_values(repeatable, name) {
    repeatable.find('.value').each(function () {
        var i = jQuery(this).parent().index();
        jQuery(this).attr('name', name + '[' + i + ']');
        jQuery(this).siblings('.correct-answer').find('input').val(i);
        jQuery(this).siblings('.num').text(i+1);
    });
}

function uniqId() {
    return Math.round(new Date().getTime() + (Math.random() * 100));
}

function ulms_get_file_icon( ext ) {
    var icon = 'fa fa-file';
    if( ext == 'docx' || ext == 'doc' ){
        icon = 'fa fa-file-word-o';
    }else if( ext == 'pdf' ){
        icon = 'fa fa-file-pdf-o';
    }else if( ext == 'ppt' || ext == 'pptx' || ext == 'pps' || ext == 'ppsx' ){
        icon = 'fa fa-file-powerpoint-o';
    }else if( ext == 'xls' || ext == 'xlsx' ){
        icon = 'fa fa-file-excel-o';
    }else if( ext == 'jpg' || ext == 'jpeg' || ext == 'png' || ext == 'gif' || ext == 'ico' || ext == 'psd' ){
        icon = 'fa fa-file-image-o';
    }else if( ext == 'mp3' || ext == 'm4a' || ext == 'ogg' || ext == 'wav' ){
        icon = 'fa fa-file-audio-o';
    }else if( ext == 'mp4' || ext == 'm4v' || ext == 'mov' || ext == 'wmv' || ext == 'avi' || ext == 'mpg' || ext == 'ogv' || ext == '3gp' || ext == '3g2' ){
        icon = 'fa fa-file-video-o';
    }else if( ext == 'zip' || ext == 'gzip' || ext == 'rar' || ext == 'tar' ){
        icon = 'fa fa-file-archive-o';
    }
    return icon;
}

function get_the_extension(url) {
    var ext = (url = url.substr(1 + url.lastIndexOf("/")).split('?')[0]).substr(url.lastIndexOf("."));
    return ext;
}