jQuery(document).ready(function ($) {
    "use strict";

    $(window).load(function () {
        var $mainNav = $(".main_menu_nav"), $el, leftPos, newWidth;

        if ($mainNav.length > 0) {
            $mainNav.append("<li id='runa_magic_line'></li>");
            var $magicLine = $("#runa_magic_line");
            var $magicLineWidth = 0;
            var $magicLineLeft = 0;
            if ($mainNav.find(".current_page_item").length || $mainNav.find(".current-menu-parent").length || $mainNav.find(".current-menu-ancestor").length) {
                $magicLineWidth = $(".current_page_item, .current-menu-parent, .current-menu-ancestor").width() - 22;
                $magicLineLeft = $(".current_page_item, .current-menu-parent, .current-menu-ancestor").position().left + 11;
            }
            $magicLine.width($magicLineWidth)
                .css("left", $magicLineLeft)
                .data("origLeft", $magicLine.position().left)
                .data("origWidth", $magicLine.width());

            $mainNav.find(' > li').hover(function () {
                $el = $(this);
                leftPos = $el.position().left + 11;
                newWidth = $el.innerWidth() - 22;
                $magicLine.stop().animate({
                    left: leftPos,
                    width: newWidth
                }, 200);
            }, function () {
                $magicLine.stop().animate({
                    left: $magicLine.data("origLeft"),
                    width: $magicLine.data("origWidth")
                }, 200);
            });
        }
    });

    $(".header_search_form .search_button").on("click", function () {
        $(this).closest('.header_search_form').toggleClass("active");
        $(this).closest('.header_search_form').find(".search_text").trigger("focus");
        return false;
    });

    $("input[type='checkbox'], input[type='radio'], input[type='file']").uniform();

    $(".show_login_popup").on("click", function () {
        $(".account_nav").toggleClass("active");
        $(".login_popup").slideToggle(0);
        return false;
    });

    $("body").on("click", function (kik) {
        if (!$(kik.target).is(".header_search_form, .header_search_form .search_text") && $(".header_search_form").hasClass("active")) {
            $(".header_search_form").removeClass("active");
        }
    });

    $('.star_rating_disabled').barrating({
        theme: 'fontawesome-stars',
        readonly: true
    });

    $('.star_rating_enabled').barrating({
        theme: 'fontawesome-stars'
    });

    $(".widget_categories > ul > li, .widget_product_categories > ul > li, .widget_nav_menu div > ul > li, .widget_pages > ul > li").each(function () {
        if ($(this).find(' > .children, > .sub-menu').length) {
            $(this).find('> a').append('<span class="arrow"><i class="fa fa-angle-down"></i></span>');
        }
    });

    $(".widget_categories .arrow, .widget_product_categories .arrow, .widget_nav_menu .arrow, .widget_pages .arrow").on('click', function () {
        $(this).closest('li').find('> .children, > .sub-menu').slideToggle(300);
        $(this).closest('li').toggleClass('current-cat');
        return false;
    });

    $(".widget_categories > ul > li, .widget_product_categories > ul > li").each(function () {
        if (( $(this).hasClass('current-cat') || $(this).hasClass('current-cat-ancestor') ) && $(this).find(' > .children, > .sub-menu').length) {
            $(this).find(' > .children, > .sub-menu').slideToggle(300);
        }
    });

    $("#social_share").on('click', '.facebook_share_button', function () {
        FB.ui({
            method: 'share',
            href: $(this).data('link'),
            title: $(this).data('title'),
            description: $(this).data('description'),
            picture: $(this).data('image')
        }, function (response) {
        });
        return false;
    });

    $("#social_share").on('click', '.twitter_share_button', function () {
        open_window($(this).data('link'), 'Twitter', 575, 253);
        return false;
    });

    $("#social_share").on('click', '.google_plus_share_button', function () {
        open_window($(this).data('link'), 'Google+', 575, 400);
        return false;
    });

    $("#social_share").on('click', '.linkedin_share_button', function () {
        open_window($(this).data('link'), 'Linkedin', 575, 400);
        return false;
    });

    $(window).on("scroll", function () {
        var windscroll = $(window).scrollTop();
        $('.nav_sections_wr .nav_section:not(.visible-sm.visible-xs)').each(function (i) {
            if ($(this).position().top <= windscroll - 175) {
                $('#course-nav-tabs a.active').removeClass('active');
                $('#course-nav-tabs a').eq(i).addClass('active');
            }
        });
    });

    $('#course-nav-tabs a').on('click', function () {

        var scrollAnchor = $(this).attr('href');

        if( $(scrollAnchor).length ){
            if (scrollAnchor == '#course-description') {
                var scrollPoint = $(scrollAnchor).offset().top - 250;
            } else {
                var scrollPoint = $(scrollAnchor).offset().top - 140;
            }

            $('body,html').animate({
                scrollTop: scrollPoint
            }, 500);
        }

        return false;

    });

    if( window.location.hash == '#course-groups' ){
        if (window.location.hash && $(window.location.hash).length) {
            $('body,html').animate({
                scrollTop: $(window.location.hash).offset().top - 140
            }, 1000);
        }
    }

    $("#course-nav-tabs").affix({
        offset: {
            top: $("#header").height() + $(".title_box").innerHeight()
        }
    });

    $("#courses_filter_form .courses_filter_nav a").on('click', function () {
        if (!$(this).hasClass('active')) {
            var value = $(this).data('value');
            $(this).closest('ul').find('.active').removeClass('active');
            $(this).addClass('active');
            $("#courses_filter_form input[name='type']").val(value);
            $("#courses_filter_form").trigger('submit');
        }
        return false;
    });

    $("#courses_filter_form .courses_layout_style a").on('click', function () {
        if (!$(this).hasClass('active')) {
            var value = $(this).data('value');
            $(this).closest('ul').find('.active').removeClass('active');
            $(this).addClass('active');
            $("#courses_filter_form input[name='layout']").val(value);
            $("#courses_filter_form").trigger('submit');
        }
        return false;
    });

    $("#courses_filter_form .courses_sorting").on('change', function () {
        var value = $(this).val();
        $("#courses_filter_form input[name='sort_by']").val(value);
        $("#courses_filter_form").trigger('submit');
        return false;
    });

    $("#courses_filter_form").on('submit', function () {
        var params = $(this).serialize();
        $.ajax({
            url: ajaxurl,
            data: params + '&action=runa_query_courses',
            context: this,
            method: 'POST',
            dataType: 'json',
            beforeSend: function () {
                $(".courses_preloader").fadeIn(300);
            },
            success: function (data) {
                $(".courses_preloader").fadeOut(300);
                $("#courses_container").removeClass('grid list').addClass(data['class']);

                $("#courses_container").html(data['content']);

                $('.star_rating_disabled').barrating({
                    theme: 'fontawesome-stars',
                    readonly: true
                });
                window.history.pushState('', '', data.url);
                $(".pagination_wr").html(data.pagination);
            }
        });
        return false;
    });

    $(".lesson .collapse-button").on('click', function () {
        var id = $(this).attr('href');
        $(this).closest('.lesson').toggleClass('collapsed');
        $(this).closest('.lesson').find(id).slideToggle(300);
        return false;
    });

    var top_bar_height = 18;
    if( $("body").hasClass("admin-bar") ){
        top_bar_height = 50;
    }
    $(".single-course-info-wr").theiaStickySidebar({
        additionalMarginTop: $(".course-nav-tabs-wr").height() + top_bar_height
    });

    $("#update_user_image").on('click', function () {
        $("#user_image_file").click();
        return false;
    });

    $("#user_image_file").on('change', function () {
        if( $(this).val() ){
            $(this).closest('form').submit();
        }
    });

    $("#delete_account_image").on('click', function () {
        $(this).parent().submit();
        return false;
    });

    $("#remove_user_image").on('click', function () {
        $(this).closest('form').submit();
        return false;
    });

    $(".s2, #notifications-sort-order-list").select2({
        width: 'auto',
        minimumResultsForSearch: -1
    });

    $(".s2-2, .widget_archive select, .widget_categories select, .widget_text select").select2({
        width: '100%',
        theme: 'skin-2',
        minimumResultsForSearch: -1
    });

    if( $(".woocommerce-checkout .country_select").length ){
        $(".country_select").select2('destroy');
        $(".country_select").select2({
            width: '100%',
            theme: 'skin-2',
            minimumResultsForSearch: -1
        });
    }

    $("#login_tabs a").on('click', function () {
        var id = $(this).attr('href');
        $(this).closest('.tab-nav').find('.active').removeClass('active');
        $(this).addClass('active');
        $(".account-login-form .tab.active").removeClass('active');
        $(id).addClass('active');

        return false;
    });

    // Quantity actions
    $('.quantity_actions span').on('click', function() {
        var quantityContainer = $(this).closest('.quantity'),
            quantityInput = quantityContainer.find('.qty'),
            quantityVal = quantityInput.attr('value');

        if( $(this).hasClass('plus') ) {
            quantityInput.attr('value', parseInt(quantityVal) + 1);
        } else if( $(this).hasClass('minus') ) {
            if( quantityVal > 1 ) {
                quantityInput.attr('value', parseInt(quantityVal) - 1);
            }
        }
    });

    $(".show-vacancy-form").on('click', function () {
        var $form = $(this).closest('form').find('.vacancy-form-wr');
        if( ! $form.hasClass('active') ){
            $form.slideDown(300).addClass('active');
            return false;
        }
    });

    $('.vacancy-form form').ajaxForm({
        url: ajaxurl,
        dataType: 'json',
        success: function (response, statusText, xhr, $form) {
            if( response['success'] ){
                $form.html(response['success']);
            }
        }
    });

    $("#select-group").on('click', function () {
        if( $("#course-groups").length ){
            $('body,html').animate({
                scrollTop: $("#course-groups").offset().top - 140
            }, 500);
            return false;
        }
    });

    $("#showAllStudents").on('click', function () {
        $(".students-list .hide").removeClass('hide');
        $("#showAllStudents").hide();
        return false;
    });

    $("#showAllAttachments").on('click', function () {
        $(".attachments-table table .hide").removeClass('hide');
        $("#showAllAttachments").hide();
        return false;
    });

    $("#menu-toggle").on('click', function () {
        $(this).toggleClass('open');
        $('.mobile-header .main-top-menu').slideToggle(300);
        return false;
    });

    $(".mobile-header .main-top-menu .main_menu_nav > li.menu-item-has-children > a").after('<span class="arrow"><i class="fa fa-angle-down"></i></span>');

    $(".mobile-header .main-top-menu .main_menu_nav").on('click', '> li.menu-item-has-children .arrow', function () {
        $(this).toggleClass('active');
        $(this).closest('li').find('> ul').slideToggle(300);
    });

    $(".mobile-header .main-top-menu .main_menu_nav").on('click', '> li.menu-item-has-children > a', function () {
        if( $(this).attr('href') == '#' ){
            $(this).closest('li').find('ul').slideToggle(300);
            $(this).closest('li').find('.arrow').toggleClass('active');
        }
    });

    $(".mobile-header").on('click', '.account-nav', function () {
        $(this).toggleClass('active');
        $(".mobile-header .mobile-login-form").slideToggle(300);
        $(".mobile-header .user-dashboard-popup").slideToggle(300);
    });

    $(".mobile-header").on('click', '.wpml_lang_switcher', function () {
        $(this).toggleClass('active');
        $(".mobile-header .wpml_lang_switcher ul").slideToggle(300);
    });

    $(window).on("scroll", function () {
        var windscroll = $(window).scrollTop();
        if( windscroll > 200 ){
            $("#header").addClass('sticky');
        }else{
            $("#header").removeClass('sticky');
        }
    });

});

function open_window(url, title, w, h) {
    var dualScreenLeft = window.screenLeft != undefined ? window.screenLeft : screen.left;
    var dualScreenTop = window.screenTop != undefined ? window.screenTop : screen.top;

    var width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
    var height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;

    var left = ((width / 2) - (w / 2)) + dualScreenLeft;
    var top = ((height / 2) - (h / 2)) + dualScreenTop;
    var newWindow = window.open(url, title, 'scrollbars=yes, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);

    // Puts focus on the newWindow
    if (window.focus) {
        newWindow.focus();
    }
}

function load_courses(that, offset, per_page, cat) {
    var $ = jQuery;
    that.find('.fa-spin').css({'opacity': 1});
    $.ajax({
        url: ajaxurl,
        data: {action: 'runa_load_courses', offset: offset, per_page: per_page, cat: cat},
        method: 'POST',
        dataType: 'json',
        success: function (data) {
            that.find('.fa-spin').css({'opacity': 0});
            if (data['content']) {
                var content = $(data['content']);
                that.closest('.courses_container').find('.courses_list').append(content).isotope('appended', content).isotope('layout');

                $('.star_rating_disabled').barrating({
                    theme: 'fontawesome-stars',
                    readonly: true
                });
            }
            if (data['button']) {
                that.replaceWith(data['button']);
            } else {
                that.parent().text('');
            }
        }
    });
}

function runa_login(that) {
    var $ = jQuery;
    that.find('.login-action').attr('disabled', 'disabled').addClass('loading');
    $.ajax({
        url: ajaxurl,
        data: that.serialize() + '&action=runa_ajax_login',
        method: 'POST',
        dataType: 'json',
        success: function (data) {
            that.find('.login-action').removeAttr('disabled').removeClass('loading');
            that.find('.messages').html('');
            if (data['loggedin']) {
                that.find('.messages').html('<div class="login-message success">' + data['message'] + '</div>');
                window.location.href = data['redirect'];
            } else {
                that.find('.messages').html('<div class="login-message">' + data['message'] + '</div>');
            }
        }
    });
}

function runa_register(that) {
    var $ = jQuery;
    that.find('.login-action').attr('disabled', 'disabled').addClass('loading');
    $.ajax({
        url: ajaxurl,
        data: that.serialize() + '&action=runa_ajax_register',
        method: 'POST',
        dataType: 'json',
        success: function (data) {
            that.find('.login-action').removeAttr('disabled').removeClass('loading');
            that.find('.messages').html('');
            if (data['registered']) {
                that.find('.messages').html('<div class="login-message success">' + data['message'] + '</div>');
                that[0].reset();
            } else {
                that.find('.messages').html('<div class="login-message">' + data['message'] + '</div>');
            }
        }
    });
}