jQuery(document).ready(function ($) {
    "use strict";

    // Customizer Toggle

    $("#customizer-toggle").on('click', function () {
        if ($("#frontend-customizer").hasClass('open')) {
            $("#frontend-customizer").removeClass('open');
            $(this).find('.fa').removeClass('fa-spin');
        } else {
            $("#frontend-customizer").addClass('open');
            $(this).find('.fa').addClass('fa-spin');
        }
    });

    $('#wrap').on('click', function (kik) {
        if (!$(kik.target).is('#frontend-customizer, #frontend-customizer *') && $('#frontend-customizer').is(':visible')) {
            $("#frontend-customizer").removeClass('open');
            $("#customizer-toggle .fa").removeClass('fa-spin');
        }
    });


    // Header Style

    $("select[name='header-style']").on("change", function () {
        $("body").removeClass('header-style-1 header-style-2 header-style-3').addClass($(this).val());
        $.cookie('header-style', $(this).val(), {expires: 7, path: '/'});
    });

    if ($.cookie('header-style')) {
        var header_style = $.cookie('header-style');
        $("body").removeClass('header-style-1 header-style-2 header-style-3').addClass(header_style);
        $("select[name='header-style'] option[value='" + header_style + "']").attr('selected', 'selected')
    }

    // Nav Mode

    $("#nav-mode").on("click", function () {
        if ($(this).hasClass('active')) {
            $(this).removeClass('active');
            $("body").removeClass('header-mode-sticky');
            $.cookie('nav-mode', 'header-mode-static', {expires: 7, path: '/'});
        } else {
            $(this).addClass('active');
            $("body").addClass('header-mode-sticky');
            $.cookie('nav-mode', 'header-mode-sticky', {expires: 7, path: '/'});
        }
    });

    if ($.cookie('nav-mode') && $.cookie('nav-mode') == 'header-mode-sticky') {
        $("body").addClass('header-mode-sticky');
        $("#nav-mode").addClass('active');
    }


    // Color Skin

    $("#select-skin span").on('click', function () {
        var skin_id = $(this).attr('id');
        $("#select-skin .active").removeClass("active");
        $("#frontend-customizer-skin").remove();
        $(this).addClass("active");
        $.removeCookie('color-skin', {path: '/'});
        if (skin_id != 'skin-1') {
            $("head").append('<link rel="stylesheet" id="frontend-customizer-skin" href="' + localized.upload_dir + '/style-' + skin_id + '.css" type="text/css" media="all">');
            $.cookie('color-skin', skin_id, {expires: 7, path: '/'});
        }
    });

    if ($.cookie('color-skin')) {
        var skin_id = $.cookie('color-skin');
        $("#select-skin #" + skin_id).addClass("active");
        if (skin_id != 'skin-1') {
            $("head").append('<link rel="stylesheet" id="frontend-customizer-skin" href="' + localized.upload_dir + '/style-' + skin_id + '.css" type="text/css" media="all">');
        }
    } else {
        $("#select-skin #skin-1").addClass("active");
    }

    // Layout

    $("#theme-layout").on("click", function () {
        if ($(this).hasClass('active')) {
            $(this).removeClass('active');
            $("body").removeClass('boxed-layout');
            $.cookie('theme-layout', 'wide', {expires: 7, path: '/'});
            $("#bg-images-section").slideUp();
        } else {
            $(this).addClass('active');
            $("body").addClass('boxed-layout');
            $.cookie('theme-layout', 'boxed', {expires: 7, path: '/'});
            $("#bg-images-section").slideDown();
            if (!$.cookie('bg-image')) {
                $("#bg-images #example-bg-1").addClass("active");
                $("body").addClass('example-bg-1');
            }
        }
    });

    if( $.cookie('theme-layout') && $.cookie('theme-layout') == 'boxed' ){
        $("#theme-layout").addClass('active');
        $("body").addClass('boxed-layout');
        $("#bg-images-section").slideDown();
    }

    // BG Images

    $("#bg-images span").on('click', function () {
        var bg_image = $(this).attr('id');
        $("#bg-images .active").removeClass("active");
        $.cookie('bg-image', bg_image, {expires: 7, path: '/'});
        $(this).addClass("active");
        $("body").removeClass('example-bg-1 example-bg-2 example-bg-3 example-bg-4').addClass(bg_image);
    });

    if ($.cookie('bg-image')) {
        var bg_image = $.cookie('bg-image');
        $("#bg-images #" + bg_image).addClass("active");
        $("body").addClass(bg_image);
    }

});