ulms.controller('QuizController', ['$scope', '$timeout', 'mainFactory', function ($scope, $timeout, mainFactory) {

    $scope.$watch('currentQuiz.started', function (started) {
        if (started) {
            $timeout(quizTimerStart, 1000);
        }
    });

    var quizTimerStart = function () {
        if ($scope.currentQuiz.timer > 0) {
            if( ! $scope.currentQuiz.ended ){
                $scope.currentQuiz.timer -= 1;
                $timeout(quizTimerStart, 1000);
            }
        }else{
            if( ! $scope.currentQuiz.ended ){
                mainFactory.finishQuiz();
            }
        }
    };

    $scope.humanizeDurationTimer = function (input, return_format) {
        var duration = moment().startOf('day').add(input, 's');
        var format = "", unit = $scope.labels.sec;
        if (duration.hour()) {
            format += "H:";
        }
        if (duration.minute() || duration.hour()) {
            format += "mm:";
        }
        format += "ss";
        format = duration.format(format);

        if (duration.minute() && !duration.hour()) {
            unit = $scope.labels.min;
        } else if (duration.hour()) {
            unit = $scope.labels.hour;
        }
        if( return_format == 'second' ){
            return format + ' ' + unit;
        }else{
            return '<strong>' + format + '</strong><span>' + unit + '</span>';
        }
    };

    $scope.alphabet = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];

    $scope.showHint = function () {
        jQuery("#hint-message").slideToggle(300);
    };

    $scope.showQuizReport = function () {
        jQuery("#quiz-report").slideToggle(300);
        jQuery(".quiz-report-button").toggleClass('active');
    };

    $scope.questions = mainFactory.getQuizQuestions();

    $scope.currentQuestion = function () {
        return mainFactory.getQuizCurrentQuestion();
    };

    $scope.markAnswer = function (option_id) {
        if (!$scope.currentQuestion().passed) {
            mainFactory.markAnswer(option_id);
        }
    };

    $scope.nextQuestion = function () {
        mainFactory.quizNextQuestion();
    };

    $scope.goToQuestion = function (question_index) {
        mainFactory.quizGoToQuestion(question_index);
    };

    $scope.answerQuestion = function () {
        mainFactory.quizAnswerQuestion();
    };

}]);