var gulp = require('gulp');
var sass = require('gulp-sass');
var livereload = require('gulp-livereload');
var rename = require('gulp-rename');
var concat = require('gulp-concat');
var uglify = require('gulp-uglify');
var wpPot = require('gulp-wp-pot');
var sort = require('gulp-sort');

gulp.task('sass', function () {
    gulp.src('./assets/scss/style.scss')
        .pipe(sass({outputStyle: 'compact'}).on('error', sass.logError))
        .pipe(gulp.dest('./'))
        .pipe(livereload());

    gulp.src('./assets/css/admin/admin.scss')
        .pipe(sass({outputStyle: 'compressed'}).on('error', sass.logError))
        .pipe(rename('admin.min.css'))
        .pipe(gulp.dest('./assets/css/admin/'))
        .pipe(livereload());
});

gulp.task('scripts', function () {
    gulp.src([
        './node_modules/angular/angular.min.js',
        './node_modules/angular-sanitize/angular-sanitize.min.js',
        './assets/js/ng-lodash.min.js',
        './assets/js/custom.js',
        './assets/js/bootstrap.js',
        './assets/js/countUp.js',
        './assets/js/jquery.cookie.js',
        './assets/js/jquery.barrating.js',
        './assets/js/jquery.scrolltabs.js',
        './assets/js/jquery.uniform.js',
        './assets/js/jquery.appear.js',
        './assets/js/jquery.knob.js',
        './assets/js/jquery.throttle.js',
        './assets/js/jquery.classycountdown.js',
        './assets/js/isotope.pkgd.js',
        './assets/js/theia-sticky-sidebar.js',
        './assets/js/jquery.fancybox.js',
        './assets/js/slick.js',
        './assets/js/select2.js',
        './assets/js/moment.min.js',
        './assets/js/fullcalendar.js',
        './assets/js/fullcalendar-lang-all.js',
        './assets/js/jquery.form.js',
        './assets/js/roundProgress.min.js',
        './assets/js/ulms-app/ulms-app.js',
        './assets/js/ulms-app/ulms-factory.js',
        './assets/js/ulms-app/controllers/mainCtrl.js',
        './assets/js/ulms-app/controllers/contentCtrl.js',
        './assets/js/ulms-app/controllers/quizCtrl.js',
        './assets/js/ulms-app/controllers/sidebarCtrl.js',
        './assets/js/ulms-app/directives/contentDirective.js',
        './assets/js/ulms-app/directives/sidebarDirective.js',
    ])
        .pipe(concat('all.js', {newLine: ';'}))
        .pipe(gulp.dest('./assets/js/'))
        .pipe(rename('all.min.js'))
        .pipe(uglify())
        .pipe(gulp.dest('./assets/js/'));

    gulp.src([
        './assets/js/moment.min.js',
        './assets/js/admin/bootstrap-datetimepicker.js',
        './assets/js/admin/title-box-image.js',
        './assets/js/admin/jquery.fonticonpicker.js',
        './assets/js/admin/jquery.tooltipster.js',
        './assets/js/select2.js'
    ])
        .pipe(concat('admin.all.js', {newLine: ';'}))
        .pipe(gulp.dest('./assets/js/admin/'))
        .pipe(rename('admin.min.js'))
        .pipe(uglify())
        .pipe(gulp.dest('./assets/js/admin/'))
});

gulp.task('watch', function () {
    gulp.watch('**/*.scss', ['sass']);
    livereload.listen();
});

gulp.task('wp-pot', function () {
    return gulp.src('**/*.php')
        .pipe(sort())
        .pipe(wpPot({
            domain: 'ulms',
            destFile: 'ulms.pot',
            package: 'ulms',
            bugReport: 'https://runathemes.com',
            lastTranslator: 'RunaThemes <info@runathemes.com>',
            team: 'RunaThemes <info@runathemes.com>'
        }))
        .pipe(gulp.dest('languages'));
});

gulp.task('default', ['watch']);