<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div id="wrap">
		<header id="header">
			<?php if( ulms_option( 'top_bar', true ) ): ?>
				<div class="top_bar">
					<div class="container">
						<div class="top_bar_wr">
							<?php
							if ( ulms_option( 'top_bar_wpml', true ) ) :
								ulms_wpml_lang_switcher();
							endif;
							?>
							<?php if( class_exists( 'WooCommerce' ) ): ?>
								<?php if( ! is_user_logged_in() ): ?>
									<div class="account_nav">
										<div class="login_popup">
											<form action="<?php echo esc_url( home_url( '/' ) ); ?>" onsubmit="runa_login( jQuery(this) ); return false;" method="post">
												<div class="messages"></div>
												<div class="input-group">
													<label for="login_email" class="input-group-addon"><i class="fa fa-user"></i></label>
													<input id="login_email" name="email" type="email" class="form-control" placeholder="<?php esc_attr_e( 'E-mail', 'ulms' ); ?>" required />
												</div>
												<div class="input-group">
													<label for="login_password" class="input-group-addon"><i class="fa fa-lock"></i></label>
													<input id="login_password" name="password" type="password" class="form-control" placeholder="<?php esc_attr_e( 'Password', 'ulms' ); ?>" required />
												</div>
												<div class="remember_me">
													<label>
														<input type="checkbox" name="remember" value="1" /> <span class="uniform_label"><?php esc_html_e( 'Keep me signed in', 'ulms' ); ?></span>
													</label>
												</div>
												<div class="login_buttons">
													<div class="button_wr">
														<button class="button size-xs login-action">
															<span class="text"><?php esc_html_e( 'Login', 'ulms' ); ?></span>
															<span class="loader"></span>
														</button>
														<input type="hidden" name="security" value="<?php echo esc_attr( wp_create_nonce( 'runa-login-nonce' ) ); ?>" />
													</div>
													<?php if( get_option( 'users_can_register' ) ): ?>
														<div class="button_wr">
															<a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) . '?action=register' ); ?>" class="button bordered size-xs"><?php esc_html_e( 'Sign up', 'ulms' ); ?></a>
														</div>
													<?php endif; ?>
												</div>
											</form>
											<div class="forgot_link"><a href="<?php echo wp_lostpassword_url( esc_url( home_url( '/' ) ) ); ?>"><?php esc_html_e( 'Forgot password?', 'ulms' ); ?></a></div>
											<?php get_template_part( 'template-parts/social-auth-links' ); ?>
										</div>
										<a href="#" class="show_login_popup"><i class="fa fa-user"></i><?php esc_html_e( 'Login', 'ulms' ); ?></a>
										<?php if( get_option( 'users_can_register' ) ): ?>
											<span class="sep">|</span>
											<a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) . '?action=register' ); ?>"><?php esc_html_e( 'Sign Up', 'ulms' ); ?></a>
										<?php endif; ?>
									</div>
								<?php else: ?>
									<?php
										$current_user_info = wp_get_current_user();
										$account_url = wc_get_page_permalink( 'myaccount' );
									?>
									<div class="account_nav user_logged_in">
										<div class="user_image">
											<a href="<?php echo esc_url( $account_url ); ?>"><?php echo get_avatar( $current_user_info->ID, 40 ); ?></a>
										</div>
										<div class="user_name">
											<a href="<?php echo esc_url( $account_url ); ?>">
												<span><?php echo esc_html( $current_user_info->display_name ); ?></span>
												<i class="fa fa-angle-down"></i>
											</a>
										</div>
										<div class="user_dashboard_popup">
											<ul>
												<li><a href="<?php echo esc_url( $account_url ); ?>"><i class="fa fa-user"></i><span><?php esc_html_e( 'Dashboard', 'ulms' ); ?></span></a></li>
												<li><a href="<?php echo esc_url( wc_get_endpoint_url( 'my-courses', '', $account_url ) ); ?>"><i class="fa fa-book"></i><span><?php esc_html_e( 'My Courses', 'ulms' ); ?></span></a></li>
												<li><a href="<?php echo esc_url( wc_get_endpoint_url( 'edit-account', '', $account_url ) ); ?>"><i class="fa fa-gear"></i><span><?php esc_html_e( 'Account Settings', 'ulms' ); ?></span></a></li>
												<li><a href="<?php echo esc_url( wc_get_endpoint_url( 'customer-logout', '', $account_url ) ); ?>"><i class="fa fa-sign-out"></i><span><?php esc_html_e( 'Log Out', 'ulms' ); ?></span></a></li>
											</ul>
										</div>
									</div>
								<?php endif; ?>
							<?php endif; ?>
							<div class="top_bar_info">
								<?php if( $top_bar_phone = ulms_option( 'top_bar_phone', esc_html__( '+1 212-736-3100', 'ulms' ) ) ): ?>
									<div class="item"><i class="fa fa-mobile"></i> <a href="tel:<?php echo esc_attr( str_replace(' ', '', $top_bar_phone) ); ?>"><?php echo esc_html( $top_bar_phone ); ?></a></div>
								<?php endif; ?>
								<?php if( $top_bar_address = ulms_option( 'top_bar_address', esc_html__( '350 5th Ave, New York, NY 10118, United States', 'ulms' ) ) ): ?>
									<div class="item"><i class="fa fa-map-marker"></i> <?php echo esc_html( $top_bar_address ); ?></div>
								<?php endif; ?>
								<?php if( $top_bar_working_hours = ulms_option( 'top_bar_working_hours', esc_html__( 'Sun - Sat  8.00 - 18.00', 'ulms' ) ) ): ?>
									<div class="item"><i class="fa fa-clock-o"></i> <?php echo esc_html( $top_bar_working_hours ); ?></div>
								<?php endif; ?>
							</div>
						</div>
					</div>
				</div>
			<?php endif; ?>
			<div class="top_nav">
				<div class="top-nav-wr">
					<div class="container">
						<div class="media">
							<div class="media-left media-middle">
								<div class="logo">
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
										<img src="<?php echo esc_url( ulms_option( 'logo', get_template_directory_uri() . '/assets/images/logo.svg', 'url' ) ); ?>" alt="">
									</a>
								</div>
								<div class="logo white">
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
										<img src="<?php echo esc_url( ulms_option( 'logo-white', get_template_directory_uri() . '/assets/images/logo-white.svg', 'url' ) ); ?>" alt="">
									</a>
								</div>
							</div>
							<div class="media-body media-middle text-right">
								<?php
								wp_nav_menu( array(
									'theme_location' => 'ulms-primary_menu',
									'container'      => false,
									'depth'          => 3,
									'menu_class'     => 'main_menu_nav'
								) );
								?>
								<div class="header_search_form">
									<div class="header_search_form_wr">
										<form method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
											<a href="#" class="search_button"><i class="fa fa-search"></i></a>
											<input type="search" class="search_text" value="<?php echo esc_attr( get_search_query() ); ?>" placeholder="<?php esc_attr_e( 'Search...', 'ulms' ); ?>" name="s" />
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="mobile-header">
				<div class="mobile-header-top">
					<div class="media">
						<div class="media-left media-middle">
							<div class="logo">
								<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
									<img src="<?php echo esc_url( ulms_option( 'logo', get_template_directory_uri() . '/assets/images/logo.svg', 'url' ) ); ?>" alt="">
								</a>
							</div>
						</div>
						<div class="media-body media-middle text-right">
							<div id="menu-toggle">
								<button></button>
							</div>
						</div>
					</div>
				</div>
				<div class="main-top-menu">
					<?php
					wp_nav_menu( array(
						'theme_location' => 'ulms-primary_menu',
						'container'      => false,
						'depth'          => 3,
						'menu_class'     => 'main_menu_nav'
					) );
					?>
				</div>
				<?php if( class_exists( 'WooCommerce' ) ): ?>
					<?php if( ! is_user_logged_in() ): ?>
						<div class="account-nav">
							<i class="fa fa-user"></i>
							<strong><?php esc_html_e( 'Login', 'ulms' ); ?></strong>
							<?php if( get_option( 'users_can_register' ) ): ?>
								<span class="sep">|</span>
								<strong><?php esc_html_e( 'Sign Up', 'ulms' ); ?></strong>
							<?php endif; ?>
							<span class="arrow">
								<i class="fa fa-angle-down"></i>
							</span>
						</div>
						<div class="mobile-login-form">
							<form action="<?php echo esc_url( home_url( '/' ) ); ?>" onsubmit="runa_login( jQuery(this) ); return false;" method="post">
								<div class="messages"></div>
								<div class="input-group">
									<label class="input-group-addon"><i class="fa fa-user"></i></label>
									<input name="email" type="email" class="form-control" placeholder="<?php esc_attr_e( 'E-mail', 'ulms' ); ?>" required />
								</div>
								<div class="input-group">
									<label class="input-group-addon"><i class="fa fa-lock"></i></label>
									<input name="password" type="password" class="form-control" placeholder="<?php esc_attr_e( 'Password', 'ulms' ); ?>" required />
								</div>
								<div class="remember_me">
									<label>
										<input type="checkbox" name="remember" value="1" /> <span class="uniform_label"><?php esc_html_e( 'Keep me signed in', 'ulms' ); ?></span>
									</label>
								</div>
								<div class="login_buttons">
									<div class="button_wr">
										<button class="button size-xs login-action">
											<span class="text"><?php esc_html_e( 'Login', 'ulms' ); ?></span>
											<span class="loader"></span>
										</button>
										<input type="hidden" name="security" value="<?php echo esc_attr( wp_create_nonce( 'runa-login-nonce' ) ); ?>" />
									</div>
									<?php if( get_option( 'users_can_register' ) ): ?>
										<div class="button_wr">
											<a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) . '?action=register' ); ?>" class="button bordered size-xs"><?php esc_html_e( 'Sign up', 'ulms' ); ?></a>
										</div>
									<?php endif; ?>
								</div>
							</form>
							<div class="forgot_link"><a href="<?php echo wp_lostpassword_url( esc_url( home_url( '/' ) ) ); ?>"><?php esc_html_e( 'Forgot password?', 'ulms' ); ?></a></div>
							<?php get_template_part( 'template-parts/social-auth-links' ); ?>
						</div>
					<?php else: ?>
						<?php
						$current_user_info = wp_get_current_user();
						$account_url = wc_get_page_permalink( 'myaccount' );
						?>
						<div class="account-nav user-logged-in">
							<div class="user-image">
								<a href="<?php echo esc_url( $account_url ); ?>"><?php echo get_avatar( $current_user_info->ID, 40 ); ?></a>
							</div>
							<div class="user-name">
								<a href="<?php echo esc_url( $account_url ); ?>"><?php echo esc_html( $current_user_info->display_name ); ?></a>
							</div>
							<div class="user-dashboard-popup">
								<ul>
									<li><a href="<?php echo esc_url( $account_url ); ?>"><i class="fa fa-user"></i><span><?php esc_html_e( 'Dashboard', 'ulms' ); ?></span></a></li>
									<li><a href="<?php echo esc_url( wc_get_endpoint_url( 'my-courses', '', $account_url ) ); ?>"><i class="fa fa-book"></i><span><?php esc_html_e( 'My Courses', 'ulms' ); ?></span></a></li>
									<li><a href="<?php echo esc_url( wc_get_endpoint_url( 'edit-account', '', $account_url ) ); ?>"><i class="fa fa-gear"></i><span><?php esc_html_e( 'Account Settings', 'ulms' ); ?></span></a></li>
									<li><a href="<?php echo esc_url( wc_get_endpoint_url( 'customer-logout', '', $account_url ) ); ?>"><i class="fa fa-sign-out"></i><span><?php esc_html_e( 'Log Out', 'ulms' ); ?></span></a></li>
								</ul>
							</div>
							<span class="arrow">
								<i class="fa fa-angle-down"></i>
							</span>
						</div>
					<?php endif; ?>
				<?php endif; ?>
				<?php ulms_wpml_lang_switcher(); ?>
				<div class="top-bar-info">
					<?php if( $top_bar_phone = ulms_option( 'top_bar_phone', esc_html__( '+1 212-736-3100', 'ulms' ) ) ): ?>
						<div class="item"><i class="fa fa-mobile"></i> <a href="tel:<?php echo esc_attr( str_replace(' ', '', $top_bar_phone) ); ?>"><?php echo esc_html( $top_bar_phone ); ?></a></div>
					<?php endif; ?>
					<?php if( $top_bar_address = ulms_option( 'top_bar_address', esc_html__( '350 5th Ave, New York, NY 10118, United States', 'ulms' ) ) ): ?>
						<div class="item"><i class="fa fa-map-marker"></i> <?php echo esc_html( $top_bar_address ); ?></div>
					<?php endif; ?>
					<?php if( $top_bar_working_hours = ulms_option( 'top_bar_working_hours', esc_html__( 'Sun - Sat  8.00 - 18.00', 'ulms' ) ) ): ?>
						<div class="item"><i class="fa fa-clock-o"></i> <?php echo esc_html( $top_bar_working_hours ); ?></div>
					<?php endif; ?>
				</div>
			</div>
		</header>