<?php

if ( ! function_exists( 'ulms_bcn_settings_init' ) ) {
	function ulms_bcn_settings_init( $opts ) {
		$opts['hseparator']     = '<span class="sep"><i class="fa fa-angle-right"></i></span>';
		$opts['Hhome_template'] = '<span property="itemListElement" typeof="ListItem"><a property="item" typeof="WebPage" title="Go to %title%." href="%link%" class="%type%"><i class="fa fa-home"></i></a><meta property="position" content="%position%"></span>';
		$courses_page           = get_page_by_title( 'Courses' );
		if ( ! empty( $courses_page ) ) {
			$opts['apost_ulms_courses_root'] = $courses_page->ID;
		}
		$opts['bpost_ulms_courses_taxonomy_display'] = 0;
		$opts['bpost_ulms_courses_archive_display']  = 0;

		return $opts;
	}
}

add_filter( 'bcn_settings_init', 'ulms_bcn_settings_init' );


if ( ! function_exists( 'ulms_breadcrumbs' ) ) {
	function ulms_breadcrumbs() {
		if ( function_exists( 'bcn_display' ) ) { ?>
			<div class="breadcrumbs">
				<?php
				if( is_author() ){
					$teacher_info = ( get_query_var( 'author_name' ) ) ? get_user_by( 'slug', get_query_var( 'author_name' ) ) : get_userdata( get_query_var( 'author' ) );
					?>
					<span property="itemListElement" typeof="ListItem">
						<a property="item" typeof="WebPage" href="<?php echo esc_url( home_url( '/' ) ); ?>" class="home">
							<i class="fa fa-home"></i>
						</a>
						<meta property="position" content="1">
					</span>
					<span class="sep"><i class="fa fa-angle-right"></i></span>
					<span property="itemListElement" typeof="ListItem">
						<span property="name"><?php echo esc_html( $teacher_info->display_name ); ?></span>
						<meta property="position" content="2">
					</span>
					<?php
				}elseif( is_page_template( 'page-templates/page-course-start.php' ) ){
					$current_course_id = ! empty( $_COOKIE['course_id'] ) ? $_COOKIE['course_id'] : 0;
					$page_title = get_the_title( $current_course_id );
					$account_url = wc_get_page_permalink( 'myaccount' );
					?>
					<span property="itemListElement" typeof="ListItem">
						<a property="item" typeof="WebPage" href="<?php echo esc_url( home_url( '/' ) ); ?>" class="home">
							<i class="fa fa-home"></i>
						</a>
						<meta property="position" content="1">
					</span>
					<span class="sep"><i class="fa fa-angle-right"></i></span>
					<span property="itemListElement" typeof="ListItem">
						<a property="item" typeof="WebPage" href="<?php echo esc_url( wc_get_endpoint_url( 'my-courses', '', $account_url ) ); ?>" class="my-courses">
							<span property="name"><?php esc_html_e( 'My Courses', 'ulms' ); ?></span>
						</a>
						<meta property="position" content="2">
					</span>
					<span class="sep"><i class="fa fa-angle-right"></i></span>
					<span property="itemListElement" typeof="ListItem">
						<span property="name"><?php echo esc_html( $page_title ); ?></span>
						<meta property="position" content="3">
					</span>
				<?php } elseif ( is_singular( ULMS_GROUPS_POST_TYPE ) ) {
					$group_course = get_post( get_post_meta( get_the_ID(), 'group_course', true ) );
					$courses_page_id = ulms_option( 'courses_page' );
					?>
					<span property="itemListElement" typeof="ListItem">
						<a property="item" typeof="WebPage" href="<?php echo esc_url( home_url( '/' ) ); ?>" class="home">
							<i class="fa fa-home"></i>
						</a>
						<meta property="position" content="1">
					</span>
					<span class="sep"><i class="fa fa-angle-right"></i></span>
					<?php if( $courses_page_id ): ?>
						<span property="itemListElement" typeof="ListItem">
							<a property="item" typeof="WebPage" href="<?php echo esc_url( get_the_permalink( $courses_page_id ) )?>" class="courses">
								<span property="name"><?php esc_html_e( 'Courses', 'ulms' ); ?></span>
							</a>
							<meta property="position" content="2">
						</span>
						<span class="sep"><i class="fa fa-angle-right"></i></span>
					<?php endif; ?>
					<?php if( $group_course ): ?>
						<span property="itemListElement" typeof="ListItem">
							<a property="item" typeof="WebPage" href="<?php echo esc_url( get_the_permalink( $group_course->ID ) ); ?>" class="group-course">
								<span property="name"><?php echo esc_html( get_the_title( $group_course->ID ) ); ?></span>
							</a>
							<meta property="position" content="3">
						</span>
						<span class="sep"><i class="fa fa-angle-right"></i></span>
					<?php endif; ?>
					<span property="itemListElement" typeof="ListItem">
						<span property="name"><?php the_title(); ?></span>
						<meta property="position" content="4">
					</span>
					<?php
				} else {
					bcn_display();
				}
				?>
			</div>
		<?php }
	}
}