<?php
if ( ! function_exists( 'ulms_custom_colors' ) ) {
	function ulms_custom_colors() {

		if ( ulms_option( 'color_skin', 'skin-1' ) != 'skin-1' ) {

			global $wp_filesystem;

			if ( empty( $wp_filesystem ) ) {
				require_once ABSPATH . '/wp-admin/includes/file.php';
				WP_Filesystem();
			}

			switch ( ulms_option( 'color_skin', 'skin-1' ) ) {
				case 'skin-2':
					$color_1 = '#20cbf6';
					$color_2 = '#525174';
					$color_3 = '#247ef2';
					$color_4 = '#3dccc7';
					$color_5 = '#e0325b';
					break;
				case 'skin-3':
					$color_1 = '#2a9d8f';
					$color_2 = '#264653';
					$color_3 = '#f4a261';
					$color_4 = '#e9c46a';
					$color_5 = '#e76f51';
					break;
				case 'skin-4':
					$color_1 = '#5a88ff';
					$color_2 = '#212141';
					$color_3 = '#5dd39e';
					$color_4 = '#f0c43d';
					$color_5 = '#bf3f6c';
					break;
				case 'custom-skin':
					$color_1 = ulms_option( 'theme_color_1', '#00aaff' );
					$color_2 = ulms_option( 'theme_color_2', '#333e43' );
					$color_3 = ulms_option( 'theme_color_3', '#1bb934' );
					$color_4 = ulms_option( 'theme_color_4', '#fc7822' );
					$color_5 = ulms_option( 'theme_color_5', '#e45454' );
					break;
			}

			$custom_css = $wp_filesystem->get_contents( get_stylesheet_uri() );

			$custom_css = str_replace(
				array(
					'#00aaff',
					'#333e43',
					'#1bb934',
					'#fc7822',
					'#e45454',
					'rgba(0, 170, 255, 0.15)', // color 1
					'rgba(51, 62, 67, 0.3)', // color 2
					'rgba(27, 185, 52, 0.5)', // color 3
					'rgba(27, 185, 52, 0.15)', // color 3
					'rgba(252, 120, 34, 0.1)', // color 4
					'rgba(252, 120, 34, 0.15)', // color 4
					'rgba(228, 84, 84, 0.2)', // color 5
					'rgba(228, 84, 84, 0.15)', // color 5
					'url("'
				),
				array(
					$color_1,
					$color_2,
					$color_3,
					$color_4,
					$color_5,
					ulms_hex2rgba( $color_1, 0.15 ),
					ulms_hex2rgba( $color_2, 0.3 ),
					ulms_hex2rgba( $color_3, 0.5 ),
					ulms_hex2rgba( $color_3, 0.15 ),
					ulms_hex2rgba( $color_4, 0.1 ),
					ulms_hex2rgba( $color_4, 0.15 ),
					ulms_hex2rgba( $color_5, 0.2 ),
					ulms_hex2rgba( $color_5, 0.15 ),
					'url("' . get_template_directory_uri() . '/'
				),
				$custom_css
			);

			if ( ! $wp_filesystem->is_dir( ULMS_UPLOAD_DIR ) ) {
				$wp_filesystem->mkdir( ULMS_UPLOAD_DIR, FS_CHMOD_DIR );
			}

			if ( ! empty( $custom_css ) ) {

				$custom_css = preg_replace( '!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $custom_css );
				$custom_css = str_replace( array( "\r\n", "\r", "\n", "\t", '  ', '    ', '    ' ), '', $custom_css );

				$custom_style_file = ULMS_UPLOAD_DIR . '/style-' . ulms_option( 'color_skin', 'skin-1' ) . '.css';

				$wp_filesystem->put_contents( $custom_style_file, $custom_css, FS_CHMOD_FILE );
			}
		}
	}
}

add_action( 'redux/options/ulms_option/saved', 'ulms_custom_colors', 20 );