<?php

if ( ! function_exists( 'ulms_wbc_filter_title' ) ) {

	/**
	 * Filter for changing demo title in options panel so it's not folder name.
	 *
	 * @param [string] $title name of demo data folder
	 *
	 * @return [string] return title for demo name.
	 */

	function ulms_wbc_filter_title( $title ) {
		return trim( ucfirst( str_replace( "-", " ", $title ) ) );
	}

}

add_filter( 'wbc_importer_directory_title', 'ulms_wbc_filter_title', 10 );


if ( ! function_exists( 'ulms_wbc_importer_after_content_import' ) ) {
	function ulms_wbc_importer_after_content_import( $demo_active_import, $demo_directory_path ) {

		reset( $demo_active_import );
		$current_key = key( $demo_active_import );

		/************************************************************************
		 * Import slider(s) for the current demo being imported
		 *************************************************************************/

		if ( class_exists( 'RevSlider' ) ) {

			$wbc_sliders_array = array(
				'demo-1' => 'main_slider.zip', //Set slider zip name
			);

			if ( isset( $demo_active_import[ $current_key ]['directory'] ) && ! empty( $demo_active_import[ $current_key ]['directory'] ) && array_key_exists( $demo_active_import[ $current_key ]['directory'], $wbc_sliders_array ) ) {
				$wbc_slider_import = $wbc_sliders_array[ $demo_active_import[ $current_key ]['directory'] ];

				if ( file_exists( $demo_directory_path . $wbc_slider_import ) ) {
					$slider = new RevSlider();
					$slider->importSliderFromPost( true, true, $demo_directory_path . $wbc_slider_import );
				}
			}
		}

		update_option( 'revSliderAsTheme', 'true' ); //set the RevSlider Plugin as a Theme. This hides the activation notice and the activation area in the Slider Overview

		/************************************************************************
		 * Setting Menus
		 *************************************************************************/

		$wbc_menu_array = array( 'demo-1' );

		if ( isset( $demo_active_import[ $current_key ]['directory'] ) && ! empty( $demo_active_import[ $current_key ]['directory'] ) && in_array( $demo_active_import[ $current_key ]['directory'], $wbc_menu_array ) ) {
			$main_menu   = get_term_by( 'name', 'Main Menu', 'nav_menu' );
			$footer_menu = get_term_by( 'name', 'Footer Menu', 'nav_menu' );

			set_theme_mod( 'nav_menu_locations', array(
					'ulms-primary_menu' => $main_menu->term_id,
					'ulms-footer_menu'  => $footer_menu->term_id
				)
			);

		}

		/************************************************************************
		 * Set Home Page
		 *************************************************************************/

		update_option( 'show_on_front', 'page' );

		$wbc_home_pages = array(
			'demo-1' => 'Home'
		);

		if ( isset( $demo_active_import[ $current_key ]['directory'] ) && ! empty( $demo_active_import[ $current_key ]['directory'] ) && array_key_exists( $demo_active_import[ $current_key ]['directory'], $wbc_home_pages ) ) {
			$page = get_page_by_title( $wbc_home_pages[ $demo_active_import[ $current_key ]['directory'] ] );
			if ( isset( $page->ID ) ) {
				update_option( 'page_on_front', $page->ID );
			}
		}

		/************************************************************************
		 * Set Blog Page
		 *************************************************************************/

		$wbc_home_pages = array(
			'demo-1' => 'Blog'
		);

		if ( isset( $demo_active_import[ $current_key ]['directory'] ) && ! empty( $demo_active_import[ $current_key ]['directory'] ) && array_key_exists( $demo_active_import[ $current_key ]['directory'], $wbc_home_pages ) ) {
			$page = get_page_by_title( $wbc_home_pages[ $demo_active_import[ $current_key ]['directory'] ] );
			if ( isset( $page->ID ) ) {
				update_option( 'page_for_posts', $page->ID );
			}
		}

	}
}

add_action( 'wbc_importer_after_content_import', 'ulms_wbc_importer_after_content_import', 10, 2 );