<?php

if ( ! function_exists( 'runa_print_styles' ) ) {
	function runa_print_styles() {
		$post_id        = get_the_ID();
		$page_for_posts = get_option( 'page_for_posts' );
		if ( is_home() || is_category() || is_search() || is_tag() || is_tax() ) {
			$post_id = $page_for_posts;
		}

		$css = "";

		$title_box = array();

		$title_box['background-image'] = wp_get_attachment_image_src( get_post_meta( $post_id, 'title_box_image', true ), 'full' );

		if ( $title_box ) {
			$css .= '.title_box.style_2 .title_wrapper{ ';
			foreach ( $title_box as $key => $val ) {
				if ( $val ) {
					if ( $key != 'background-image' ) {
						$css .= $key . ': ' . esc_attr( $val ) . ' !important; ';
					} else {
						$css .= $key . ': url(' . esc_url( $val[0] ) . ') !important; ';
					}
				}
			}
			$css .= '}';
		}

		wp_add_inline_style( 'ulms-style', $css );
	}
}

add_action( 'wp_enqueue_scripts', 'runa_print_styles' );