<?php

add_filter( 'woocommerce_enqueue_styles', '__return_empty_array' );
add_filter( 'woocommerce_show_page_title', '__return_false' );
add_filter( 'woocommerce_account_menu_items', function ( $items ) {
	$new_items['dashboard']  = esc_html__( 'Dashboard', 'ulms' );
	$new_items['my-courses'] = esc_html__( 'Courses', 'ulms' );
	$items['edit-account']   = esc_html__( 'Settings', 'ulms' );
	unset( $items['downloads'] );

	return array_merge( $new_items, $items );
} );


if ( ! function_exists( 'ulms_add_woo_endpoints' ) ) {
	function ulms_add_woo_endpoints() {
		add_rewrite_endpoint( 'my-courses', EP_PAGES );
	}
}

add_action( 'init', 'ulms_add_woo_endpoints' );


if ( ! function_exists( 'ulms_account_courses_endpoint_content' ) ) {
	function ulms_account_courses_endpoint_content() {
		get_template_part( 'template-parts/course/user', 'courses' );
	}
}

add_action( 'woocommerce_account_my-courses_endpoint', 'ulms_account_courses_endpoint_content' );


if ( ! function_exists( 'ulms_before_shop_loop_wrapper_start' ) ) {
	function ulms_before_shop_loop_wrapper_start() {
		echo '<div class="runa-shop-top-bar">';
	}
}

add_action( 'woocommerce_before_shop_loop', 'ulms_before_shop_loop_wrapper_start', 10 );


if ( ! function_exists( 'ulms_before_shop_loop_wrapper_end' ) ) {
	function ulms_before_shop_loop_wrapper_end() {
		echo '</div>';
	}
}

add_action( 'woocommerce_before_shop_loop', 'ulms_before_shop_loop_wrapper_end', 50 );


if ( ! function_exists( 'ulms_woocommerce_catalog_orderby' ) ) {
	function ulms_woocommerce_catalog_orderby( $array ) {
		$array['menu_order'] = esc_html__( 'Default', 'ulms' );
		$array['popularity'] = esc_html__( 'Popularity', 'ulms' );
		$array['rating']     = esc_html__( 'Average Rating', 'ulms' );
		$array['date']       = esc_html__( 'Newness', 'ulms' );
		$array['price']      = esc_html__( 'Price: Low to High', 'ulms' );
		$array['price-desc'] = esc_html__( 'Price: High to Low', 'ulms' );

		return $array;
	}
}

add_filter( 'woocommerce_catalog_orderby', 'ulms_woocommerce_catalog_orderby', 1 );


remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_link_open', 5 );
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 20 );
add_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_open', 5 );
add_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 20 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 25 );


if ( ! function_exists( 'ulms_woocommerce_free_price_html' ) ) {
	function ulms_woocommerce_free_price_html() {
		return '<span class="free">' . esc_html__( 'Free', 'ulms' ) . '</span>';
	}
}

add_filter( 'woocommerce_free_price_html', 'ulms_woocommerce_free_price_html' );


if ( ! function_exists( 'ulms_woocommerce_output_related_products_args' ) ) {
	function ulms_woocommerce_output_related_products_args( $args ) {
		$args['posts_per_page'] = 3;
		$args['columns']        = 3;

		return $args;
	}
}

add_filter( 'woocommerce_output_related_products_args', 'ulms_woocommerce_output_related_products_args' );


if ( ! function_exists( 'ulms_single_product_summary_author' ) ) {
	function ulms_single_product_summary_author() {
		echo '<div class="author-by">' . esc_html__( 'by', 'ulms' ) . ' ' . get_the_author() . '</div>';
	}
}

add_action( 'woocommerce_single_product_summary', 'ulms_single_product_summary_author', 6 );


if ( ! function_exists( 'ulms_woocommerce_product_data_tabs' ) ) {
	function ulms_woocommerce_product_data_tabs( $tabs ) {
		$tabs['courses'] = array(
			'label'  => esc_html__( 'Courses', 'ulms' ),
			'target' => 'product_courses',
			'class'  => array(),
		);

		return $tabs;
	}
}

add_filter( 'woocommerce_product_data_tabs', 'ulms_woocommerce_product_data_tabs' );


if ( ! function_exists( 'ulms_woocommerce_product_data_panels' ) ) {
	function ulms_woocommerce_product_data_panels(){ ?>
		<div id="product_courses" class="panel woocommerce_options_panel hidden">
			<?php
			$courses = get_post_meta( get_the_ID(), '_courses_included', true );
			$groups = get_post_meta( get_the_ID(), '_groups_included', true );
			?>
			<div class="options_group">
				<?php
				$query_courses = new WP_Query( array(
					'post_type' => ULMS_COURSES_POST_TYPE,
					'posts_per_page' => -1
				) );
				?>
				<p class="form-field">
					<label for="courses_included">
						<span><?php esc_html_e( 'Courses Included:', 'ulms' ); ?></span>
					</label>
					<select name="_courses_included[]" class="s2" id="courses_included" multiple>
						<?php if ( $query_courses->have_posts() ): ?>
							<?php while ( $query_courses->have_posts() ): $query_courses->the_post(); ?>
								<option value="<?php echo esc_attr( get_the_ID() ); ?>" <?php if ( $courses ) { selected( true, in_array( get_the_ID(), $courses ) ); } ?>><?php echo esc_html( get_the_title() ); ?></option>
							<?php endwhile;
							wp_reset_postdata(); ?>
						<?php endif; ?>
					</select>
				</p>
			</div>
			<div class="options_group">
				<?php
				$query_groups = new WP_Query( array(
					'post_type' => ULMS_GROUPS_POST_TYPE,
					'posts_per_page' => -1
				) );
				?>
				<p class="form-field">
					<label for="groups_included">
						<span><?php esc_html_e( 'Groups Included:', 'ulms' ); ?></span>
					</label>
					<select name="_groups_included[]" class="s2" id="groups_included" multiple>
						<?php if ( $query_groups->have_posts() ): ?>
							<?php while ( $query_groups->have_posts() ): $query_groups->the_post(); ?>
								<option value="<?php echo esc_attr( get_the_ID() ); ?>" <?php if ( $groups ) { selected( true, in_array( get_the_ID(), $groups ) ); } ?>><?php echo esc_html( get_the_title() ); ?></option>
							<?php endwhile;
							wp_reset_postdata(); ?>
						<?php endif; ?>
					</select>
				</p>
			</div>
		</div>
	<?php }
}

add_action( 'woocommerce_product_data_panels', 'ulms_woocommerce_product_data_panels' );