<?php
get_header();
$sidebar_position = ulms_sidebar_position();
$sidebar          = ulms_page_sidebar_name();
?>
	<div id="primary" class="content-area">
		<?php get_template_part( 'template-parts/title-box' ); ?>
		<div class="container">
			<div class="row">

				<?php if ( $sidebar_position == 'left' && $sidebar != 'disable' ): ?>
					<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
						<?php if ( is_active_sidebar( $sidebar ) ) : ?>
							<aside class="sidebar left-sidebar widget-area">
								<?php dynamic_sidebar( $sidebar ); ?>
							</aside>
						<?php endif; ?>
					</div>
				<?php endif; ?>

				<?php if (  $sidebar != 'disable' ): ?>
					<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
				<?php else: ?>
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<?php endif; ?>

						<main class="site-main">
							<ul class="blog-<?php echo esc_attr( ulms_blog_layout() ); ?>">
								<?php
								$i = 0;
								while ( have_posts() ) : the_post();
									$i++;
									if ( ulms_blog_layout() == 'grid' ) {
										if ( $i % 2 || ! ulms_option( 'chess_view', false ) ) {
											get_template_part( 'template-parts/post/loop', 'grid' );
										} else {
											get_template_part( 'template-parts/post/loop-grid', 'featured' );
										}
									} else {
										get_template_part( 'template-parts/post/loop', 'list' );
									}
								endwhile;
								?>
							</ul>
							<?php
							echo paginate_links( array(
								'type'      => 'list',
								'prev_text' => '<i class="fa fa-chevron-left"></i>',
								'next_text' => '<i class="fa fa-chevron-right"></i>',
							) );
							?>
						</main>

					</div>

					<?php if ( $sidebar_position == 'right' && $sidebar != 'disable' ): ?>
						<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
							<?php if ( is_active_sidebar( $sidebar ) ) : ?>
								<aside class="sidebar right-sidebar widget-area">
									<?php dynamic_sidebar( $sidebar ); ?>
								</aside>
							<?php endif; ?>
						</div>
					<?php endif; ?>
				</div>
			</div>
	</div>
<?php get_footer(); ?>