<?php
/**
 * Template Name: Course Start
 */

$user_id       = get_current_user_id();
$course_access = false;

if ( ! empty( $_COOKIE['course_id'] ) && $user_id ) {
	$user_courses = ( get_user_meta( $user_id, 'courses', true ) ) ? get_user_meta( $user_id, 'courses', true ) : array();
	if ( ! empty( $user_courses[ $_COOKIE['course_id'] ] ) ) {
		$course_access = true;
	}
}

if ( ! $course_access ) {
	wp_die( esc_html__( 'INCORRECT COURSE VALUE. CONTACT ADMIN', 'ulms' ) );
}

get_header(); ?>
	<div id="primary" class="content-area" ng-app="ulms" ng-cloak>
		<?php get_template_part( 'template-parts/title-box' ); ?>
		<div class="lessons-page" ng-controller="MainController">
			<div class="container">
				<div class="lesson-title-num">{{currentLesson.subTitle}}</div>
				<div class="lesson-title h1">{{currentLesson.title}}</div>
				<div class="row">
					<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 col-lg-push-9 col-md-push-9">
						<sidebar-Directive></sidebar-Directive>
					</div>
					<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12 col-lg-pull-3 col-md-pull-3">
						<content-Directive></content-Directive>
						<div class="lesson-actions">
							<button class="button size-sm bordered prev-lesson" ng-click="prevLesson()" ng-disabled="! prevLessonStatus()" ng-if="labels.prevLesson" >
								{{labels.prevLesson}}
							</button>
							<button class="button size-sm bordered next-lesson" ng-click="nextLesson()" ng-disabled="! nextLessonStatus()" ng-if="labels.nextLesson" >
								{{labels.nextLesson}}
							</button>
							<button class="button size-sm right-button" ng-click="lessonComplete()" ng-if="labels.lessonComplete && ! currentLesson.quiz && ! isLessonCompleted()" >
								{{labels.lessonComplete}}
							</button>
							<button class="button size-sm right-button bordered" ng-click="lessonUncomplete()" ng-if="labels.lessonComplete && ! currentLesson.quiz && isLessonCompleted()" >
								{{labels.markAsUncompleted}}
							</button>

							<button class="button size-sm right-button" ng-click="quizStart()" ng-if="currentLesson.quiz && ! currentQuiz.started" >
								{{labels.startQuiz}}
							</button>
							<button class="button size-sm right-button" ng-click="quizFinish()" ng-if="currentLesson.quiz && currentQuiz.started && ! currentQuiz.ended" >
								{{labels.finishQuiz}}
							</button>
						</div>
					</div>
				</div>
			</div>
			<div class="lessons-preloader" ng-class="{'active' : preloader}">
				<div class="preloader">
					<label><?php esc_html_e( 'Loading...', 'ulms' ); ?></label>
					<div class="loader"></div>
				</div>
			</div>
		</div>
	</div><!-- .content-area -->
<?php get_footer(); ?>