<?php get_header(); ?>
	<div id="primary" class="content-area">
		<?php get_template_part( 'template-parts/title-box' ); ?>
		<div class="container">
			<div class="row">

				<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
					<main class="site-main">
						<?php
							$show_all = ( isset( $_GET['show_all'] ) ) ? $_GET['show_all'] : false;
							$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
							$search_term = get_search_query();
						?>

						<?php if( $show_all == 'courses' || $show_all === false ): ?>
							<?php
								if( $show_all == 'courses' ){
									$posts_per_page = ulms_option( 'courses_limit', 6 );
								}else{
									$posts_per_page = 3;
								}
								$courses_args = array(
									's' => $search_term,
									'post_type' => ULMS_COURSES_POST_TYPE,
									'posts_per_page' => $posts_per_page,
									'paged' => $paged
								);
								$courses_query = new WP_Query( $courses_args );
							?>

							<?php if( $courses_query->have_posts() ): ?>
								<div class="search-result-container<?php echo ( $show_all == 'courses' ) ? ' show_all' : ''; ?>">
									<div class="search-result-header">
										<h2><?php esc_html_e( 'Courses', 'ulms' ); ?></h2>
										<?php if( $courses_query->found_posts > 3 && $show_all != 'courses' ): ?>
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>?s=<?php echo esc_attr( $search_term ); ?>&show_all=courses" class="see-all-link">
												<span><?php esc_html_e( 'See all', 'ulms' ); ?></span>
												<i class="fa fa-angle-right"></i>
											</a>
										<?php endif; ?>
									</div>
									<ul class="courses_list bordered grid per_row_3">
										<?php
										while( $courses_query->have_posts() ): $courses_query->the_post();
											get_template_part( 'template-parts/course/loop', 'grid' );
										endwhile; wp_reset_postdata();
										?>
									</ul>
									<?php if( $show_all == 'courses' ): ?>
										<div class="pagination_wr">
											<?php
											echo paginate_links( array(
												'type'      => 'list',
												'prev_text' => '<i class="fa fa-chevron-left"></i>',
												'next_text' => '<i class="fa fa-chevron-right"></i>',
												'total'     => $courses_query->max_num_pages
											) );
											?>
										</div>
									<?php endif; ?>
								</div>
							<?php endif; ?>
						<?php endif; ?>

						<?php if( $show_all == 'news' || $show_all === false ): ?>
							<?php
							$news_args = array(
								's' => $search_term,
								'post_type' => 'post',
								'posts_per_page' => 3,
								'paged' => $paged
							);
							if( $show_all == 'news' ){
								unset($news_args['posts_per_page']);
							}
							$news_query = new WP_Query( $news_args );
							?>

							<?php if( $news_query->have_posts() ): ?>
								<div class="search-result-container<?php echo ( $show_all == 'news' ) ? ' show_all' : ''; ?>">
									<div class="search-result-header">
										<h2><?php esc_html_e( 'News', 'ulms' ); ?></h2>
										<?php if( $news_query->found_posts > 3 && $show_all != 'news' ): ?>
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>?s=<?php echo esc_attr( $search_term ); ?>&show_all=news" class="see-all-link">
												<span><?php esc_html_e( 'See all', 'ulms' ); ?></span>
												<i class="fa fa-angle-right"></i>
											</a>
										<?php endif; ?>
									</div>
									<ul class="blog-grid">
										<?php
										while ( $news_query->have_posts() ) : $news_query->the_post();
											get_template_part( 'template-parts/post/loop', 'grid' );
										endwhile; wp_reset_postdata();
										?>
									</ul>
									<?php if( $show_all == 'news' ): ?>
										<div class="pagination_wr">
											<?php
											echo paginate_links( array(
												'type'      => 'list',
												'prev_text' => '<i class="fa fa-chevron-left"></i>',
												'next_text' => '<i class="fa fa-chevron-right"></i>',
												'total'     => $news_query->max_num_pages
											) );
											?>
										</div>
									<?php endif; ?>
								</div>
							<?php endif; ?>
						<?php endif; ?>

						<?php if( $show_all == 'teachers' || $show_all === false ): ?>
							<?php
							$teachers_args = array(
								'role' => ULMS_TEACHERS_ROLE,
								'number' => 3,
								'paged' => $paged,
								'meta_query' => array(
									'relation' => 'OR',
									array(
										'key'     => 'first_name',
										'value'   => $search_term,
										'compare' => 'LIKE'
									),
									array(
										'key'     => 'last_name',
										'value'   => $search_term,
										'compare' => 'LIKE'
									),
									array(
										'key' => 'description',
										'value' => $search_term,
										'compare' => 'LIKE'
									),
									array(
										'key' => 'speciality',
										'value' => $search_term,
										'compare' => 'LIKE'
									)
								)
							);
							if( $show_all == 'teachers' ){
								$teachers_args['number'] = get_option( 'posts_per_page' );
							}
							$teachers_query = new WP_User_Query( $teachers_args );
							$teachers = $teachers_query->get_results();
							?>

							<?php if( $teachers ): ?>
								<div class="search-result-container<?php echo ( $show_all == 'teachers' ) ? ' show_all' : ''; ?>">
									<div class="search-result-header">
										<h2><?php esc_html_e( 'Teachers', 'ulms' ); ?></h2>
										<?php if( $teachers_query->total_users > 3 && $show_all != 'teachers' ): ?>
											<a href="<?php echo esc_url( home_url( '/' ) ); ?>?s=<?php echo esc_attr( $search_term ); ?>&show_all=teachers" class="see-all-link">
												<span><?php esc_html_e( 'See all', 'ulms' ); ?></span>
												<i class="fa fa-angle-right"></i>
											</a>
										<?php endif; ?>
									</div>
									<ul class="teachers-grid">
										<?php
											foreach( $teachers as $teacher ){
												set_query_var( 'teacher_id', $teacher->ID );
												get_template_part( 'template-parts/teachers/loop', 'grid' );
											}
										?>
									</ul>
									<?php if( $show_all == 'teachers' ): ?>
										<div class="pagination_wr">
											<?php
											echo paginate_links( array(
												'type'      => 'list',
												'prev_text' => '<i class="fa fa-chevron-left"></i>',
												'next_text' => '<i class="fa fa-chevron-right"></i>',
												'total'     => round($teachers_query->total_users / $teachers_args['number'])
											) );
											?>
										</div>
									<?php endif; ?>
								</div>
							<?php endif; ?>
						<?php endif; ?>

						<?php if( $show_all === false && ! $courses_query->have_posts() && ! $news_query->have_posts() && ! $teachers ): ?>
							<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'ulms' ); ?></p>
						<?php endif; ?>

					</main>
				</div>
				<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12">
					<?php if ( is_active_sidebar( 'ulms-right-sidebar' ) ) : ?>
						<aside class="sidebar right-sidebar widget-area">
							<?php dynamic_sidebar( 'ulms-right-sidebar' ); ?>
						</aside>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</div>
<?php get_footer(); ?>