<?php
$sidebar_position = ulms_sidebar_position();
$sidebar          = ulms_page_sidebar_name();
$user_courses     = get_user_meta( get_current_user_id(), 'courses', true );
?>

<?php if ( $sidebar_position == 'left' && $sidebar != 'disable' ): ?>
	<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
		<?php if ( is_active_sidebar( $sidebar ) ) : ?>
			<aside class="sidebar left-sidebar widget-area">
				<?php dynamic_sidebar( $sidebar ); ?>
			</aside>
		<?php endif; ?>
	</div>
<?php endif; ?>

<?php if (  $sidebar != 'disable' ): ?>
	<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
<?php else: ?>
	<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
<?php endif; ?>

		<main class="site-main">
			<?php
				$courses_class = 'courses_list bordered';
				$courses_class .= ' ' . ( !empty( $_GET['layout'] ) ? esc_attr( $_GET['layout'] ) : 'grid' );
				if (  $sidebar != 'disable' ){
					$courses_class .= ' per_row_3';
				}
				$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
				$meta_query = array();

				if ( ! empty( $_GET['type'] ) && $_GET['type'] == 'free' ) {
					$meta_query['type'] = array(
						'key'     => 'free_course',
						'value'   => '1',
						'compare' => '='
					);
				}
				if ( ! empty( $_GET['type'] ) && $_GET['type'] == 'paid' ) {
					$meta_query['type'] = array(
						'key'     => 'free_course',
						'value'   => '0',
						'compare' => '='
					);
				}
				$args = array(
					'post_type' => ULMS_COURSES_POST_TYPE,
					'paged' => $paged,
					'meta_query' => $meta_query,
					'posts_per_page' => ulms_option( 'courses_limit', 6 )
				);
				if( ! empty( $_GET['type'] ) && $_GET['type'] == 'my' && $user_courses ){
					$args['post__in'] = array_keys( $user_courses );
				}
				if( ! empty( $_GET['sort_by'] ) && $_GET['sort_by'] == 'alphabet_asc' ){
					$args['orderby'] = 'title';
					$args['order'] = 'ASC';
				}
				if( ! empty( $_GET['sort_by'] ) && $_GET['sort_by'] == 'alphabet_desc' ){
					$args['orderby'] = 'title';
					$args['order'] = 'DESC';
				}
				if( is_tax( ULMS_COURSE_CATEGORY_SLUG ) ){
					$args[ULMS_COURSE_CATEGORY_SLUG] = get_queried_object()->slug;
				}
				$courses = new WP_Query( $args );
			?>
			<?php get_template_part( 'template-parts/course/filter_bar' ); ?>
			<?php if( $courses->have_posts() ): ?>
				<ul id="courses_container" class="<?php echo esc_attr($courses_class); ?>">
					<?php while( $courses->have_posts() ): $courses->the_post(); ?>
						<?php if( empty( $_GET['layout'] ) || $_GET['layout'] == 'grid' ): ?>
							<?php get_template_part( 'template-parts/course/loop', 'grid' ); ?>
						<?php else: ?>
							<?php get_template_part( 'template-parts/course/loop', 'list' ); ?>
						<?php endif; ?>
					<?php endwhile; ?>
				</ul>
			<?php endif; ?>
			<div class="pagination_wr">
				<?php
				echo paginate_links( array(
					'type'      => 'list',
					'prev_text' => '<i class="fa fa-chevron-left"></i>',
					'next_text' => '<i class="fa fa-chevron-right"></i>',
					'total'     => $courses->max_num_pages
				) );
				wp_reset_postdata();
				?>
			</div>
			<div class="courses_preloader" style="display: none;">
				<i class="fa fa-circle-o-notch fa-spin"></i>
			</div>
		</main>

	</div>

<?php if ( $sidebar_position == 'right' && $sidebar != 'disable' ): ?>
	<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
		<?php if ( is_active_sidebar( $sidebar ) ) : ?>
			<aside class="sidebar right-sidebar widget-area">
				<?php dynamic_sidebar( $sidebar ); ?>
			</aside>
		<?php endif; ?>
	</div>
<?php endif; ?>