<form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>" id="courses_filter_form">
	<input type="hidden" name="type" value="<?php echo ( !empty( $_GET['type'] ) ? esc_attr( $_GET['type'] ) : 'all' ); ?>" />
	<input type="hidden" name="sort_by" value="<?php echo ( !empty( $_GET['sort_by'] ) ? esc_attr( $_GET['sort_by'] ) : 'latest' ); ?>" />
	<input type="hidden" name="layout" value="<?php echo ( !empty( $_GET['layout'] ) ? esc_attr( $_GET['layout'] ) : 'grid' ); ?>" />
	<input type="hidden" name="category" value="<?php echo ( is_tax( ULMS_COURSE_CATEGORY_SLUG ) ) ? esc_attr( get_queried_object()->slug ) : ''; ?>" />
	<div class="courses_filter_bar">
		<ul class="courses_filter_nav">
			<li><a href="#" data-value="all"<?php echo ( ( ( ! empty( $_GET['type'] ) && $_GET['type'] == 'all' ) || empty( $_GET['type'] ) ) ? ' class="active"' : '' ); ?>><?php esc_html_e( 'All', 'ulms' ); ?></a></li>
			<?php if( get_user_meta( get_current_user_id(), 'courses', true ) ): ?>
				<li><a href="#" data-value="my"<?php echo ( ( ! empty( $_GET['type'] ) && $_GET['type'] == 'my' ) ? ' class="active"' : '' ); ?>><?php esc_html_e( 'My Courses', 'ulms' ); ?></a></li>
			<?php endif; ?>
		</ul>
		<ul class="courses_layout_style">
			<li><a href="#" data-value="grid"<?php echo ( ( ( ! empty( $_GET['layout'] ) && $_GET['layout'] == 'grid' ) || empty( $_GET['layout'] ) ) ? ' class="active"' : '' ); ?>><i class="ulms-icon-grid"></i></a></li>
			<li><a href="#" data-value="list"<?php echo ( ( ! empty( $_GET['layout'] ) && $_GET['layout'] == 'list' ) ? ' class="active"' : '' ); ?>><i class="ulms-icon-list"></i></a></li>
		</ul>
		<?php
		$courses_sorting = array(
			'latest'        => esc_html__( 'Latest', 'ulms' ),
			'alphabet_asc'  => esc_html__( 'A to Z', 'ulms' ),
			'alphabet_desc' => esc_html__( 'Z to A', 'ulms' ),
		);
		?>
		<div class="courses_sorting">
			<label><?php esc_html_e( 'Sort By', 'ulms' ); ?></label>
			<select class="s2 courses_sorting">
				<?php foreach( $courses_sorting as $key => $val ): ?>
					<option <?php ( ! empty( $_GET['sort_by'] ) ) ? selected( $key, $_GET['sort_by'] ) : ''; ?> value="<?php echo esc_attr( $key ); ?>"><?php echo esc_html( $val ); ?></option>
				<?php endforeach; ?>
			</select>
		</div>
	</div>
</form>