<?php
$course_info        = Runa_Courses::get_course();
$user_courses       = get_user_meta( get_current_user_id(), 'courses', true );
$course_price_class = '';
if ( ! empty( $course_info['free'] ) ) {
	$course_price_class = ' free';
}
if ( $course_info['sale_price'] ) {
	$course_price_class = ' sale';
}
$course_class = array( 'isotope-item all' );
if ( $course_info['course_type'] == 'online' ){
	$course_class[] = ' online';
}elseif( $course_info['course_type'] == 'onsite' ){
	$course_class[] = ' onsite';
}
?>
<li <?php post_class( $course_class ); ?>>
	<div class="course_wrapper">
		<div class="course_image">
			<a href="<?php the_permalink(); ?>">
				<span class="course_price<?php echo esc_attr( $course_price_class ); ?>"><?php echo wp_kses_post( $course_info['price_html'] ); ?></span>
				<?php the_post_thumbnail( 'ulms-345x234-cropped' ); ?>
			</a>
		</div>
		<div class="course_details">
			<div class="border"></div>
			<?php if ( $teachers = get_post_meta( get_the_ID(), 'teachers', true ) ): ?>
				<?php $teacher_data = get_userdata( $teachers[0] ); ?>
				<div class="course_teacher">
					<div class="teacher_image"><?php echo get_avatar( $teachers[0], 60 ); ?></div>
					<div class="teacher_name"><?php echo esc_html( $teacher_data->display_name ); ?></div>
				</div>
			<?php endif; ?>
			<div class="course_info_wr">
				<div class="course_title_wr">
					<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
					<div class="course_type">
						<?php if( $course_info['course_type'] == 'online' ): ?>
							<?php esc_html_e( 'Online Course', 'ulms' ); ?>
						<?php elseif($course_info['course_type'] == 'onsite' ): ?>
							<?php esc_html_e( 'Onsite Course', 'ulms' ); ?>
						<?php endif; ?>
					</div>
				</div>
				<div class="course_buttons">
					<form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>">
						<?php if ( isset( $user_courses[ get_the_ID() ] ) ): ?>
							<button class="button size-sm"><?php esc_html_e( 'Continue course', 'ulms' ); ?></button>
						<?php else: ?>
							<button class="button size-sm"><?php ( $course_info['free'] || $course_info['free'] == '' ) ? esc_html_e( 'take this course', 'ulms' ) : esc_html_e( 'add to cart', 'ulms' ); ?></button>
						<?php endif; ?>
						<input type="hidden" name="course_id" value="<?php echo esc_attr( get_the_ID() ); ?>" />
						<input type="hidden" name="take_course" value="<?php echo esc_attr( wp_create_nonce( 'runa-take-course-' . get_the_ID() ) ); ?>" />
					</form>
					<a href="<?php the_permalink(); ?>" class="button size-sm bordered"><?php esc_html_e( 'View more', 'ulms' ); ?></a>
				</div>
				<div class="course_bottom media">
					<div class="media-body media-middle">
						<div class="comments_num"><a href="<?php comments_link(); ?>"><i class="fa fa-comment"></i> <span><?php echo get_comments_number(); ?></span></a></div>
						<div class="people_num"><i class="fa fa-users"></i> <span><?php echo esc_html( $course_info['students'] ); ?></span></div>
					</div>
					<?php $average = ulms_get_average_rating(); ?>
					<div class="media-right media-middle">
						<div class="br-wrapper br-theme-fontawesome-stars">
							<select class="star_rating_disabled">
								<?php if( ! $average ): ?>
									<option value="">&nbsp;</option>
								<?php endif; ?>
								<?php for( $i=1; $i <= 5; $i++ ): ?>
									<option<?php echo ( round( $average ) == $i ) ? ' selected="selected"' : ''; ?> value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
								<?php endfor; ?>
							</select>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</li>