<?php $course_info = Runa_Courses::get_course(); ?>

<?php if( $course_info['certificates'] ): ?>
	<div id="course-certificates" class="nav_section">
		<h2 class="section-title"><?php esc_html_e( 'Certificates', 'ulms' ); ?></h2>
		<?php $certificates_carousel_id = uniqid( 'image-carousel-' ); ?>
		<div class="image-carousel slick-carousel runa-theme" id="<?php echo esc_attr( $certificates_carousel_id ); ?>">
			<?php foreach( $course_info['certificates'] as $val ): ?>
				<?php
					$medium_image = wp_get_attachment_image_src( $val, 'medium' );
					$large_image = wp_get_attachment_image_src( $val, 'large' );
				?>
				<?php if( $medium_image && $large_image ): ?>
					<div class="item">
						<a href="<?php echo esc_url( $large_image[0] ); ?>" title="<?php echo esc_attr( get_the_title( $val ) ); ?>" rel="<?php echo esc_js( $certificates_carousel_id ); ?>" class="fancy">
							<img src="<?php echo esc_url( $medium_image[0] ); ?>" alt="" />
						</a>
					</div>
				<?php endif; ?>
			<?php endforeach; ?>
		</div>
		<script type="text/javascript">
			jQuery(document).ready(function ($) {
				$("#<?php echo esc_js( $certificates_carousel_id ); ?>").slick({
					slidesToShow: 3,
					slidesToScroll: 3,
					speed: 500,
					swipe: true,
					dots: true,
					arrows: true,
					prevArrow: '<div class="slick-prev slick-arrow"><i class="fa fa-chevron-left"></i></div>',
					nextArrow: '<div class="slick-next slick-arrow"><i class="fa fa-chevron-right"></i></div>',
					infinite: true,
					responsive: [
						{
							breakpoint: 600,
							settings: {
								slidesToShow: 1,
								slidesToScroll: 1,
								arrows: false
							}
						}
					]
				});
				$("#<?php echo esc_js( $certificates_carousel_id ); ?> .fancy").fancybox();
			});
		</script>
	</div>
<?php endif; ?>