<?php 
	$vc_status = get_post_meta( get_the_ID() , '_wpb_vc_js_status', true);
	$course_info = Runa_Courses::get_course();
?>
<div class="course-nav-tabs hidden-sm hidden-xs" id="course-nav-tabs">
	<div class="course-nav-tabs-wr">
		<div class="container">
			<ul>
				<li><a class="active" href="#course-description"><?php esc_html_e( 'About', 'ulms' ); ?></a></li>
				<?php if( $course_info['curriculum'] ): ?>
					<li><a href="#course-curriculum"><?php esc_html_e( 'Curriculum', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['groups'] && $course_info['course_type'] == 'onsite' ): ?>
					<li><a href="#course-groups"><?php esc_html_e( 'Groups', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['schedule'] ): ?>
					<li><a href="#course-schedule"><?php esc_html_e( 'Schedule', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['teachers'] ): ?>
					<?php $count_teachers = count( $course_info['teachers'] ); ?>
					<li><a href="#course-teacher"><?php echo esc_html( _n( 'Teacher', 'Teachers', $count_teachers, 'ulms' ) ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['group_pictures'] && $course_info['course_type'] == 'onsite' ): ?>
					<li><a href="#group-pictures"><?php esc_html_e( 'Group Pictures', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['certificates'] ): ?>
					<li><a href="#course-certificates"><?php esc_html_e( 'Certificates', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['attachments'] ): ?>
					<li><a href="#course-attachments"><?php esc_html_e( 'Attachments', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if ( comments_open() || get_comments_number() ) : ?>
					<li><a href="#course-reviews"><?php esc_html_e( 'Reviews', 'ulms' ); ?></a></li>
				<?php endif; ?>
			</ul>
		</div>
	</div>
</div>
<div class="single-course-title">
	<div class="container">
		<div class="course-categories">
			<?php echo get_the_term_list( get_the_ID(), ULMS_COURSE_CATEGORY_SLUG, '', ', ' ); ?>
		</div>
		<div class="single-course-title-wr">
			<h1>
				<span class="title"><?php the_title(); ?></span>
				<span class="course-type">
					<?php if( $course_info['course_type'] == 'online' ): ?>
						<?php esc_html_e( 'Online Course', 'ulms' ); ?>
					<?php elseif($course_info['course_type'] == 'onsite' ): ?>
						<?php esc_html_e( 'Onsite Course', 'ulms' ); ?>
					<?php endif; ?>
				</span>
			</h1>
		</div>
		<div class="course-title-rating">
			<div class="br-wrapper br-theme-fontawesome-stars">
				<select class="star_rating_disabled">
					<?php if( ! $course_info['average_rating'] ): ?>
						<option value="">&nbsp;</option>
					<?php endif; ?>
					<?php for( $i=1; $i <= 5; $i++ ): ?>
						<option<?php echo ( round( $course_info['average_rating'] ) == $i ) ? ' selected="selected"' : ''; ?> value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
					<?php endfor; ?>
				</select>
			</div>
			<div class="comments-num"><a href="<?php echo get_comments_link(); ?>">(<?php echo get_comments_number(); ?>)</a></div>
		</div>

	</div>
</div>
<div class="container">
	<div class="row">
		<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">

			<main class="site-main course-type-<?php echo esc_attr( $course_info['course_type'] ); ?>">
				<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'nav_sections_wr' ) ); ?>>

					<div id="course-description" class="nav_section">
						<?php if( has_post_thumbnail() ): ?>
							<div class="course-thumbnail">
								<?php the_post_thumbnail( 'ulms-870x490-cropped' ); ?>
							</div>
						<?php endif; ?>
						<h2 class="section-title"><?php esc_html_e( 'Description', 'ulms' ); ?></h2>
						<div class="entry-content">
							<?php if ( $vc_status != 'false' && $vc_status == true ): ?>
								<?php the_content(); ?>
							<?php else: ?>
								<div class="wpb_text_column">
									<?php the_content(); ?>
								</div>
							<?php endif; ?>
						</div><!-- .entry-content -->
						<div class="course-tags">
							<?php the_tags( '<div class="tagcloud media-body">', ' ', '</div>' ); ?>
						</div>
					</div>

					<div id="course-details" class="nav_section visible-sm visible-xs">
						<?php get_template_part( 'template-parts/course/single', 'details' ); ?>
					</div>

					<?php get_template_part( 'template-parts/course/single', 'curriculum' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'groups' ); ?>
					
					<?php get_template_part( 'template-parts/course/single', 'schedule' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'teachers' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'group-pictures' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'certificates' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'attachments' ); ?>

					<?php if ( comments_open() || get_comments_number() ) : ?>
						<div id="course-reviews" class="nav_section">
							<h2 class="section-title"><?php esc_html_e( 'Reviews', 'ulms' ); ?></h2>

							<?php comments_template('/comments-with-rating.php'); ?>
						</div>
					<?php endif; ?>

				</article><!-- #post-## -->
			</main>

		</div>

		<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 single-course-info-wr hidden-sm hidden-xs">
			<?php get_template_part( 'template-parts/course/single', 'details' ); ?>
		</div>
	</div>
</div>
<?php get_template_part( 'template-parts/call-to-action' ); ?>