<?php
	$course_id = get_the_ID();
	if( is_singular( ULMS_GROUPS_POST_TYPE ) ){
		$group_info = Runa_Groups::get_group();
		$course_id = $group_info['course_id'];
	}
	$course_info = Runa_Courses::get_course($course_id);
?>
<?php if( $course_info['curriculum'] ): ?>

	<div id="course-curriculum" class="nav_section">
		<h2 class="section-title"><?php esc_html_e( 'Curriculum', 'ulms' ); ?></h2>
		<div class="curriculum-preview">

			<?php $count = 0; foreach ( $course_info['curriculum'] as $val ): ?>
				<?php
				$curr_type = 'section';
				$curr_icon = 'fa fa-file-o';
				if ( get_post_type( $val ) == ULMS_COURSES_LESSONS_POST_TYPE ) {
					$curr_type = 'lesson';
					$lesson_type = get_post_meta( $val, 'lesson_type', true );
					if( $lesson_type == 'video' || $lesson_type == '' ){
						$curr_icon = 'fa fa-video-camera';
					}elseif( $lesson_type == 'audio' ){
						$curr_icon = 'fa fa-volume-up';
					}
				} elseif ( get_post_type( $val ) == ULMS_COURSES_QUIZ_POST_TYPE ) {
					$curr_type = 'quiz';
					$curr_icon = 'fa fa-check-square-o';
				}
				?>
				<?php if ( $curr_type == 'lesson' || $curr_type == 'quiz' ): $count++; ?>
					<div class="lesson collapsed">
						<div class="lesson-title">
							<a href="#lesson_<?php echo esc_attr( $count ); ?>" class="collapse-button">
								<table class="course_table">
									<tr>
										<td class="number-td"><?php echo esc_html( $count ); ?></td>
										<td class="icon-td">
											<i class="<?php echo esc_attr( $curr_icon ); ?>"></i>
										</td>
										<td class="title-td">
											<div class="title"><?php echo esc_html( get_the_title( $val ) ); ?></div>
										</td>
										<td class="info-td">
											<div class="meta">
												<?php if( $curr_type == 'lesson' ): ?>
													<i class="fa fa-clock-o"></i>
													<span><?php echo ulms_friendly_duration( get_post_meta( $val, 'lesson_duration', true ) * get_post_meta( $val, 'lesson_duration_parameter', true ) ); ?></span>
												<?php else: ?>
													<?php $quiz_questions = get_post_meta( $val, 'quiz_questions', true ); ?>
													<?php if( $quiz_questions ): ?>
														<i class="fa fa-puzzle-piece"></i>
														<span><?php echo sprintf( esc_html__( '%d Questions', 'ulms' ), count($quiz_questions) ); ?></span>
													<?php endif; ?>
												<?php endif; ?>
											</div>
										</td>
									</tr>
								</table>
							</a>
						</div>
						<div class="lesson-description" id="lesson_<?php echo esc_attr( $count ); ?>">
							<p><?php echo esc_html( get_the_excerpt( $val ) ); ?></p>
						</div>
					</div>
				<?php endif; ?>
				<?php if ( $curr_type == 'section' ): ?>
					<h4 class="redux-base-font"><?php echo esc_html( $val ); ?></h4>
				<?php endif; ?>
			<?php endforeach; ?>
		</div>
	</div>
	
<?php endif; ?>