<?php
$course_id = get_the_ID();
if( is_singular( ULMS_GROUPS_POST_TYPE ) ){
	$group_info = Runa_Groups::get_group();
	$course_id = $group_info['course_id'];
}
$course_info = Runa_Courses::get_course( $course_id );
$user_courses = get_user_meta( get_current_user_id(), 'courses', true );
?>
<div class="single-course-info sidebar">
	<div class="course-price">
		<?php
			if( is_singular( ULMS_GROUPS_POST_TYPE ) ) {
				echo wp_kses_post( $group_info['price_html'] );
			}else{
				echo wp_kses_post( $course_info['price_html'] );
			}
		?>
	</div>
	<div class="course-enroll-button">
		<form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>">
			<?php if ( isset( $user_courses[ $course_id ] ) ): ?>
				<button class="button size-lg"><?php esc_html_e( 'Continue course', 'ulms' ); ?></button>
			<?php else: ?>
				<?php if( is_singular( ULMS_GROUPS_POST_TYPE ) ): ?>
					<button class="button size-lg">
						<?php ( $group_info['free'] || $group_info['free'] == '' ) ? esc_html_e( 'enroll this group', 'ulms' ) : esc_html_e( 'add to cart', 'ulms' ); ?>
					</button>
				<?php else: ?>
					<button class="button size-lg"<?php echo ($course_info['course_type'] == 'onsite') ? ' id="select-group"' : ''; ?>>
						<?php ( $course_info['free'] || $course_info['free'] == '' ) ? esc_html_e( 'take this course', 'ulms' ) : esc_html_e( 'add to cart', 'ulms' ); ?>
					</button>
				<?php endif; ?>
			<?php endif; ?>
			<?php if( is_singular( ULMS_GROUPS_POST_TYPE ) ): ?>
				<input type="hidden" name="group_id" value="<?php echo esc_attr( $group_info['ID'] ); ?>" />
				<input type="hidden" name="take_group" value="<?php echo esc_attr( wp_create_nonce( 'runa-take-group-' . $group_info['ID'] ) ); ?>" />
			<?php else: ?>
				<input type="hidden" name="course_id" value="<?php echo esc_attr( $course_id ); ?>" />
				<input type="hidden" name="take_course" value="<?php echo esc_attr( wp_create_nonce( 'runa-take-course-' . $course_id ) ); ?>" />
			<?php endif; ?>
		</form>
	</div>
	<div class="course-properties">
		<table>
			<?php if( $course_info['lectures'] ): ?>
				<tr>
					<td class="property-icon"><i class="fa fa-files-o"></i></td>
					<td class="property-name"><?php esc_html_e( 'Lectures', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( $course_info['lectures'] ); ?></td>
				</tr>
			<?php endif; ?>

			<?php if( is_singular( ULMS_GROUPS_POST_TYPE ) ) : ?>
				<tr>
					<td class="property-icon"><i class="fa fa-users"></i></td>
					<td class="property-name"><?php esc_html_e( 'Students', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( $group_info['students'] ); ?><?php echo ( $group_info['max_students'] ) ? '/' . $group_info['max_students'] : ''; ?></td>
				</tr>
			<?php else: ?>
				<tr>
					<td class="property-icon"><i class="fa fa-users"></i></td>
					<td class="property-name"><?php esc_html_e( 'Students', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( $course_info['students'] ); ?><?php echo ( $course_info['max_students'] ) ? '/' . $course_info['max_students'] : ''; ?></td>
				</tr>
			<?php endif; ?>

			<?php if( $course_info['quizzes'] ): ?>
				<tr>
					<td class="property-icon"><i class="fa fa-puzzle-piece"></i></td>
					<td class="property-name"><?php esc_html_e( 'Quizzes', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( $course_info['quizzes'] ); ?></td>
				</tr>
			<?php endif; ?>

			<?php if( $course_info['duration'] ): ?>
				<tr>
					<td class="property-icon"><i class="fa fa-clock-o"></i></td>
					<td class="property-name"><?php esc_html_e( 'Duration', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( $course_info['duration'] ); ?></td>
				</tr>
			<?php endif; ?>

			<?php if( $course_info['skill_level'] ): ?>
				<tr>
					<td class="property-icon"><i class="fa fa-level-up"></i></td>
					<td class="property-name"><?php esc_html_e( 'Skill level', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( $course_info['skill_level'] ); ?></td>
				</tr>
			<?php endif; ?>

			<?php if( is_singular( ULMS_GROUPS_POST_TYPE ) ) : ?>
				<?php if( $group_info['languages'] ): ?>
					<tr>
						<td class="property-icon"><i class="fa fa-language"></i></td>
						<td class="property-name"><?php esc_html_e( 'Language', 'ulms' ); ?></td>
						<td class="property-value"><?php echo esc_html( $group_info['languages'] ); ?></td>
					</tr>
				<?php endif; ?>
			<?php else: ?>
				<?php if( $course_info['languages'] ): ?>
					<tr>
						<td class="property-icon"><i class="fa fa-language"></i></td>
						<td class="property-name"><?php esc_html_e( 'Language', 'ulms' ); ?></td>
						<td class="property-value"><?php echo esc_html( $course_info['languages'] ); ?></td>
					</tr>
				<?php endif; ?>
			<?php endif; ?>

			<?php if( $course_info['certificate'] ): ?>
				<tr>
					<td class="property-icon"><i class="fa fa-certificate"></i></td>
					<td class="property-name"><?php esc_html_e( 'Certificate', 'ulms' ); ?></td>
					<td class="property-value">
						<?php
							if( $course_info['certificate'] == 'yes' ){
								esc_html_e( 'Yes', 'ulms' );
							}elseif( $course_info['certificate'] == 'no' ){
								esc_html_e( 'No', 'ulms' );
							}
						?>
					</td>
				</tr>
			<?php endif; ?>

			<?php if( $course_info['groups'] && $course_info['course_type'] == 'onsite' && ! is_singular( ULMS_GROUPS_POST_TYPE ) ): ?>
				<tr>
					<td class="property-icon"><i class="fa fa-th-large"></i></td>
					<td class="property-name"><?php esc_html_e( 'Groups', 'ulms' ); ?></td>
					<td class="property-value"><?php echo esc_html( count( $course_info['groups'] ) ); ?></td>
				</tr>
			<?php endif; ?>

		</table>
	</div>
	<?php
		if( get_post_meta( get_the_ID(), 'enable_share_buttons', true ) != 'disable' && ! is_singular( ULMS_GROUPS_POST_TYPE ) ){
			get_template_part( 'template-parts/share-buttons' );
		}
	?>
	<?php if( is_singular( ULMS_GROUPS_POST_TYPE ) && $group_info['teachers'] ) : ?>
		<div class="widget widget-course-teacher">
			<h3 class="widget-title">
				<?php $count_teachers = count( $group_info['teachers'] ); ?>
				<span class="title"><?php echo esc_html( _n( 'Course Teacher', 'Course Teachers', $count_teachers, 'ulms' ) ); ?></span>
				<span class="widget-title-line"></span>
			</h3>
			<?php foreach( $group_info['teachers'] as $teacher_id ): ?>
				<?php $teacher_data = get_userdata( $teacher_id ); ?>
				<div class="course-teacher">
					<div class="teacher-image">
						<a href="<?php echo get_author_posts_url( $teacher_id ); ?>">
							<?php echo get_avatar( $teacher_id, 140 ); ?>
						</a>
					</div>
					<div class="teacher-info">
						<h4>
							<a href="<?php echo get_author_posts_url( $teacher_id ); ?>">
								<?php echo esc_html( $teacher_data->display_name ); ?>
							</a>
						</h4>
						<?php if ( $speciality = get_user_meta( $teacher_id, 'speciality', true ) ): ?>
							<div class="teacher-speciality"><?php echo esc_html( $speciality ); ?></div>
						<?php endif; ?>
						<?php
							$commenting_post_id = get_user_meta( $teacher_id, 'user_commenting_post', true );
							$average = ulms_get_average_rating( $commenting_post_id );
						?>
						<div class="br-wrapper br-theme-fontawesome-stars">
							<select class="star_rating_disabled">
								<?php if( ! $average ): ?>
									<option value="">&nbsp;</option>
								<?php endif; ?>
								<?php for( $i=1; $i <= 5; $i++ ): ?>
									<option<?php echo ( round( $average ) == $i ) ? ' selected="selected"' : ''; ?> value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
								<?php endfor; ?>
							</select>
						</div>
					</div>
				</div>
			<?php endforeach; ?>
		</div>
	<?php endif; ?>
</div>