<?php
	if( is_singular( ULMS_GROUPS_POST_TYPE ) ) {
		$group_info = Runa_Groups::get_group();
		$group_pictures = $group_info['group_pictures'];
	}else{
		$course_info = Runa_Courses::get_course();
		$group_pictures = $course_info['group_pictures'];
	}
?>

<?php if( $group_pictures ): ?>
	<div id="group-pictures" class="nav_section">
		<h2 class="section-title"><?php esc_html_e( 'Group Pictures', 'ulms' ); ?></h2>
		<?php $group_pictures_carousel_id = uniqid( 'image-carousel-' ); ?>
		<div class="image-slider slick-carousel runa-theme" id="<?php echo esc_attr( $group_pictures_carousel_id ); ?>">
			<?php foreach( $group_pictures as $val ): ?>
				<?php
					$medium_image = wp_get_attachment_image_src( $val, 'ulms-870x490-cropped' );
					$large_image = wp_get_attachment_image_src( $val, 'large' );
				?>
				<?php if( $medium_image && $large_image ): ?>
					<div class="item">
						<img src="<?php echo esc_url( $medium_image[0] ); ?>" alt="<?php echo esc_attr( get_the_title( $val ) ); ?>" />
					</div>
				<?php endif; ?>
			<?php endforeach; ?>
		</div>
		<script type="text/javascript">
			jQuery(document).ready(function ($) {
				$("#<?php echo esc_js( $group_pictures_carousel_id ); ?>").slick({
					slidesToShow: 1,
					slidesToScroll: 1,
					speed: 500,
					swipe: true,
					dots: false,
					arrows: true,
					prevArrow: '<div class="slick-prev slick-arrow"><i class="fa fa-chevron-left"></i></div>',
					nextArrow: '<div class="slick-next slick-arrow"><i class="fa fa-chevron-right"></i></div>',
					infinite: true,
					responsive: [
						{
							breakpoint: 600,
							settings: {
								arrows: false,
								dots: true
							}
						}
					]
				});
				$("#<?php echo esc_js( $group_pictures_carousel_id ); ?> .fancy").fancybox();
			});
		</script>
	</div>
<?php endif; ?>