<?php $group_info = Runa_Groups::get_group(); ?>

<?php if( $group_info['attachments'] ): ?>
	<div id="group-attachments" class="nav_section group-attachments">
		<h2 class="section-title"><?php esc_html_e( 'Attachments', 'ulms' ); ?></h2>
		<div class="attachments-table">
			<table>
				<thead>
				<tr>
					<th><?php esc_html_e( 'Name', 'ulms' ); ?></th>
					<th><?php esc_html_e( 'Added', 'ulms' ); ?></th>
					<th><?php esc_html_e( 'File size', 'ulms' ); ?></th>
					<th></th>
				</tr>
				</thead>
				<tbody>
				<?php $i=0; foreach( $group_info['attachments'] as $attachment_id ): $i++; ?>
					<tr<?php echo ( $i > 3 ) ? ' class="hide"' : ''; ?>>
						<?php $attached_file = get_attached_file( $attachment_id ); ?>
						<td class="attachment-title">
							<i class="<?php echo esc_attr( ulms_get_file_icon( $attached_file ) ); ?>" aria-hidden="true"></i>
							<span><?php echo esc_html( basename( $attached_file ) ); ?></span>
						</td>
						<td class="attachment-date">
							<?php echo esc_html( get_the_date( '', $attachment_id ) ); ?>
						</td>
						<td class="attachment-size"><?php echo esc_html( size_format( filesize( get_attached_file( $attachment_id ) ) ) ); ?></td>
						<td class="attachment-download">
							<a href="<?php echo esc_url( wp_get_attachment_url( $attachment_id ) ); ?>" target="_blank" class="button size-xs"><?php esc_html_e( 'Download', 'ulms' ); ?></a>
						</td>
					</tr>
				<?php endforeach; ?>
				</tbody>
				<?php if( count( $group_info['attachments'] ) > 3 ): ?>
					<tfoot>
					<tr>
						<td colspan="4">
							<div class="show-more-button">
								<a href="#" id="showAllAttachments">
									<span><?php esc_html_e( 'Show More', 'ulms' ); ?></span>
									<i class="fa fa-angle-down"></i>
								</a>
							</div>
						</td>
					</tr>
					</tfoot>
				<?php endif; ?>
			</table>
		</div>
	</div>
<?php endif; ?>