<?php
	$group_info = Runa_Groups::get_group();
	$course_info = Runa_Courses::get_course( $group_info['course_id'] );
	$user_courses = get_user_meta( get_current_user_id(), 'courses', true );
?>
<div class="course-nav-tabs hidden-sm hidden-xs" id="course-nav-tabs">
	<div class="course-nav-tabs-wr">
		<div class="container">
			<ul>
				<li><a class="active" href="#group-description"><?php esc_html_e( 'About', 'ulms' ); ?></a></li>
				<?php if( $course_info['curriculum'] ): ?>
					<li><a href="#course-curriculum"><?php esc_html_e( 'Curriculum', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $course_info['schedule'] ): ?>
					<li><a href="#course-schedule"><?php esc_html_e( 'Schedule', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if ( ( ! $group_info['students_learned_private'] || isset( $user_courses[ $group_info['course_id'] ] ) ) && $group_info['students_learned'] ): ?>
					<li><a href="#group-students"><?php esc_html_e( 'Students', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $group_info['group_pictures'] ): ?>
					<li><a href="#group-pictures"><?php esc_html_e( 'Group Pictures', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if( $group_info['attachments'] ): ?>
					<li><a href="#group-attachments"><?php esc_html_e( 'Attachments', 'ulms' ); ?></a></li>
				<?php endif; ?>
				<?php if ( comments_open() || get_comments_number() ) : ?>
					<li><a href="#group-discussion"><?php esc_html_e( 'Discussion', 'ulms' ); ?></a></li>
				<?php endif; ?>
			</ul>
		</div>
	</div>
</div>
<div class="single-course-title">
	<div class="container">
		<?php if( $group_info['course_id'] ): ?>
			<div class="course-categories">
				<a href="<?php echo get_the_permalink( $group_info['course_id'] ); ?>"><?php echo esc_html( get_the_title( $group_info['course_id'] ) ); ?></a>
			</div>
		<?php endif; ?>
		<div class="single-course-title-wr">
			<h1><?php the_title(); ?></h1>
		</div>
	</div>
</div>
<div class="container">
	<div class="row">
		<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">

			<main class="site-main">
				<article id="post-<?php the_ID(); ?>" <?php post_class( array( 'nav_sections_wr' ) ); ?>>

					<div id="group-description" class="nav_section">
						<?php if( has_post_thumbnail() ): ?>
							<div class="course-thumbnail">
								<?php the_post_thumbnail( 'ulms-870x490-cropped' ); ?>
							</div>
						<?php endif; ?>
						<h2 class="section-title"><?php esc_html_e( 'Description', 'ulms' ); ?></h2>
						<div class="entry-content">
							<?php $vc_status = get_post_meta( get_the_ID() , '_wpb_vc_js_status', true); ?>
							<?php if ( $vc_status != 'false' && $vc_status == true ): ?>
								<?php the_content(); ?>
							<?php else: ?>
								<div class="wpb_text_column">
									<?php the_content(); ?>
								</div>
							<?php endif; ?>
						</div><!-- .entry-content -->
					</div>

					<div id="group-details" class="nav_section visible-sm visible-xs">
						<?php get_template_part( 'template-parts/course/single', 'details' ); ?>
					</div>

					<?php get_template_part( 'template-parts/course/single', 'curriculum' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'schedule' ); ?>

					<?php get_template_part( 'template-parts/group/single', 'students' ); ?>

					<?php get_template_part( 'template-parts/course/single', 'group-pictures' ); ?>

					<?php get_template_part( 'template-parts/group/single', 'attachments' ); ?>

					<?php if ( comments_open() || get_comments_number() ) : ?>
						<div id="group-discussion" class="nav_section">
							<h2 class="section-title"><?php esc_html_e( 'Discussion', 'ulms' ); ?></h2>
							<?php comments_template(); ?>
						</div>
					<?php endif; ?>

				</article><!-- #post-## -->
			</main>

		</div>

		<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 single-course-info-wr hidden-sm hidden-xs">
			<?php get_template_part( 'template-parts/course/single', 'details' ); ?>
		</div>
	</div>
</div>
<?php get_template_part( 'template-parts/call-to-action' ); ?>