<?php
$group_info = Runa_Groups::get_group();
$user_courses = get_user_meta( get_current_user_id(), 'courses', true );
?>

<?php if( ( ! $group_info['students_learned_private'] || isset( $user_courses[ $group_info['course_id'] ] ) ) && $group_info['students_learned'] ): ?>
	<div id="group-students" class="nav_section group-students">
		<h2 class="section-title"><?php esc_html_e( 'Students', 'ulms' ); ?></h2>
		<ul class="students-list">
			<?php $i=0; foreach( $group_info['students_learned'] as $student_id ): ?>
				<?php $student_data = get_userdata( $student_id ); ?>
				<?php if( $student_data ): $i++; ?>
					<li<?php echo ( $i > 18 ) ? ' class="hide"' : ''; ?>>
						<div class="student-avatar">
							<?php echo get_avatar( $student_id, 140 ); ?>
						</div>
						<div class="student-name"><?php echo esc_html( $student_data->display_name ); ?></div>
					</li>
				<?php endif; ?>
			<?php endforeach; ?>
		</ul>
		<?php if( count( $group_info['students_learned'] ) > 18 ): ?>
			<div class="show-more-button">
				<a href="#" id="showAllStudents">
					<span><?php esc_html_e( 'Show More', 'ulms' ); ?></span>
					<i class="fa fa-angle-down"></i>
				</a>
			</div>
		<?php endif; ?>
	</div>
<?php endif; ?>