<?php
$sidebar_position = ulms_sidebar_position();
$sidebar          = ulms_page_sidebar_name();
?>

<?php if ( $sidebar_position == 'left' && $sidebar != 'disable' ): ?>
	<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
		<?php if ( is_active_sidebar( $sidebar ) ) : ?>
			<aside class="sidebar left-sidebar widget-area">
				<?php dynamic_sidebar( $sidebar ); ?>
			</aside>
		<?php endif; ?>
	</div>
<?php endif; ?>

<?php if (  $sidebar != 'disable' ): ?>
	<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
<?php else: ?>
	<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
<?php endif; ?>

		<main class="site-main">
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<?php
					$vacancies = new WP_Query( array(
						'post_type' => ULMS_VACANCY_POST_TYPE,
						'posts_per_page' => -1
					) );
				?>

				<?php if( $vacancies->have_posts() ): ?>
					<div class="vacancies-list wpb_text_column">
						<?php while( $vacancies->have_posts() ): $vacancies->the_post(); ?>
							<div class="vacancy-wr">
								<h2><?php the_title(); ?></h2>

								<?php the_content(); ?>

								<div class="vacancy-form">
									<form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>">
										<div class="vacancy-form-wr">
											<div class="row">
												<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
													<div class="input-group">
														<label for="vacancy-form-name-<?php the_ID(); ?>"><?php esc_html_e( 'Name', 'ulms' ); ?> <span class="req">*</span></label>
														<input id="vacancy-form-name-<?php the_ID(); ?>" type="text" name="name" value="" class="form-control" required />
													</div>
												</div>
												<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
													<div class="input-group">
														<label for="vacancy-form-email-<?php the_ID(); ?>"><?php esc_html_e( 'Email', 'ulms' ); ?> <span class="req">*</span></label>
														<input id="vacancy-form-email-<?php the_ID(); ?>" type="email" name="email" value="" class="form-control" required />
													</div>
												</div>
											</div>
											<div class="input-group">
												<label for="vacancy-form-file-<?php the_ID(); ?>"><?php esc_html_e( 'Attach Resume', 'ulms' ); ?> <span class="req">*</span></label>
												<input id="vacancy-form-file-<?php the_ID(); ?>" type="file" name="file" required />
											</div>
										</div>
										<input type="hidden" name="vacancy_id" value="<?php the_ID(); ?>" />
										<input type="hidden" name="security" value="<?php echo esc_attr( wp_create_nonce( 'runa-vacancy-secure' ) ); ?>" />
										<input type="hidden" name="action" value="send_vacancy" />
										<button type="submit" class="button size-sm show-vacancy-form"><?php esc_html_e( 'Apply', 'ulms' ); ?></button>
									</form>
								</div>
							</div>

						<?php endwhile; wp_reset_postdata(); ?>
					</div>
				<?php endif; ?>

			</article><!-- #post-## -->
		</main>

	</div>

<?php if ( $sidebar_position == 'right' && $sidebar != 'disable' ): ?>
	<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
		<?php if ( is_active_sidebar( $sidebar ) ) : ?>
			<aside class="sidebar right-sidebar widget-area">
				<?php dynamic_sidebar( $sidebar ); ?>
			</aside>
		<?php endif; ?>
	</div>
<?php endif; ?>