<?php
$sidebar_position = ulms_sidebar_position();
$sidebar          = ulms_page_sidebar_name();
$vc_status        = get_post_meta( get_the_ID() , '_wpb_vc_js_status', true);
?>

<?php if ( $sidebar_position == 'left' && $sidebar != 'disable' ): ?>
	<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
		<?php if ( is_active_sidebar( $sidebar ) ) : ?>
			<aside class="sidebar left-sidebar widget-area">
				<?php dynamic_sidebar( $sidebar ); ?>
			</aside>
		<?php endif; ?>
	</div>
<?php endif; ?>

<?php if (  $sidebar != 'disable' ): ?>
	<div class="col-lg-9 col-md-9 col-sm-12 col-xs-12">
<?php else: ?>
	<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
<?php endif; ?>

		<main class="site-main">
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

				<?php get_template_part( 'template-parts/post/post', 'details' ); ?>

				<?php if( has_post_thumbnail() ): ?>
					<div class="post-thumbnail">
						<?php the_post_thumbnail( 'ulms-870x490-cropped' ); ?>
					</div>
				<?php endif; ?>

				<div class="entry-content">
					<?php if ( $vc_status != 'false' && $vc_status == true ): ?>
						<?php the_content(); ?>
					<?php else: ?>
						<div class="wpb_text_column">
							<?php the_content(); ?>
						</div>
					<?php endif; ?>
				</div><!-- .entry-content -->

				<?php get_template_part( 'template-parts/post/post', 'bottom' ); ?>

				<?php
				wp_link_pages( array(
					'before'      => '<div class="page-links"><label>' . esc_html__( 'Pages:', 'ulms' ) . '</label>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '%',
					'separator'   => '',
				) );
				?>

				<?php
				if ( comments_open() || get_comments_number() ) {
					comments_template();
				}
				?>

			</article><!-- #post-## -->
		</main>

	</div>

<?php if ( $sidebar_position == 'right' && $sidebar != 'disable' ): ?>
	<div class="col-lg-3 col-md-3 col-sm-12 col-xs-12 hidden-sm hidden-xs">
		<?php if ( is_active_sidebar( $sidebar ) ) : ?>
			<aside class="sidebar right-sidebar widget-area">
				<?php dynamic_sidebar( $sidebar ); ?>
			</aside>
		<?php endif; ?>
	</div>
<?php endif; ?>