<li>
	<div class="teacher_wrapper">
		<div class="teacher_image">
			<a href="<?php echo get_author_posts_url( $teacher_id ); ?>"><?php echo get_avatar( $teacher_id, 120 ); ?></a>
		</div>
		<div class="teacher_details">
			<div class="h4 teacher_name"><a href="<?php echo get_author_posts_url( $teacher_id ); ?>"><?php echo get_the_author_meta( 'display_name', $teacher_id ); ?></a></div>
			<?php if ( $speciality = get_user_meta( $teacher_id, 'speciality', true ) ): ?>
				<div class="teacher_speciality"><?php echo esc_html( $speciality ); ?></div>
			<?php endif; ?>
			<div class="teacher_info">
				<?php if( $description = get_user_meta( $teacher_id, 'description', true ) ): ?>
					<p><?php echo esc_html( $description ); ?></p>
				<?php endif; ?>
				<?php
				$facebook    = get_user_meta( $teacher_id, 'facebook', true );
				$twitter     = get_user_meta( $teacher_id, 'twitter', true );
				$google_plus = get_user_meta( $teacher_id, 'google_plus', true );
				$linkedin    = get_user_meta( $teacher_id, 'linkedin', true );
				?>
				<?php if( $facebook || $twitter || $google_plus || $linkedin ): ?>
					<ul class="teacher_socials">
						<?php if( $facebook ): ?>
							<li><a target="_blank" class="facebook" href="<?php echo esc_url( $facebook ); ?>"><i class="fa fa-facebook"></i></a></li>
						<?php endif; ?>
						<?php if( $twitter ): ?>
							<li><a target="_blank" class="twitter" href="<?php echo esc_url( $twitter ); ?>"><i class="fa fa-twitter"></i></a></li>
						<?php endif; ?>
						<?php if( $google_plus ): ?>
							<li><a target="_blank" class="google-plus" href="<?php echo esc_url( $google_plus ); ?>"><i class="fa fa-google-plus"></i></a></li>
						<?php endif; ?>
						<?php if( $linkedin ): ?>
							<li><a target="_blank" class="linkedin" href="<?php echo esc_url( $linkedin ); ?>"><i class="fa fa-linkedin"></i></a></li>
						<?php endif; ?>
					</ul>
				<?php endif; ?>
				<a class="button size-sm" href="<?php echo get_author_posts_url( $teacher_id ); ?>"><?php esc_html_e( 'View More', 'ulms' ); ?></a>
			</div>
		</div>
		<div class="teacher_bottom media">
			<?php $commenting_post_id = get_user_meta( $teacher_id, 'user_commenting_post', true ); ?>
			<div class="media-body media-middle">
				<div class="comments_num">
					<a href="<?php echo get_author_posts_url( $teacher_id ); ?>#comments">
						<i class="fa fa-comment"></i>
						<span><?php echo get_comments_number( $commenting_post_id ); ?></span>
					</a>
				</div>
				<?php if( $total_pupils = get_user_meta( $teacher_id, 'total_pupils', true ) ): ?>
					<div class="people_num"><i class="fa fa-users"></i> <span><?php echo esc_html( $total_pupils ); ?></span></div>
				<?php endif; ?>
			</div>
			<?php $average = ulms_get_average_rating( $commenting_post_id ); ?>
			<div class="media-right media-middle">
				<div class="br-wrapper br-theme-fontawesome-stars">
					<select class="star_rating_disabled">
						<?php if( ! $average ): ?>
							<option value="">&nbsp;</option>
						<?php endif; ?>
						<?php for( $i=1; $i <= 5; $i++ ): ?>
							<option<?php echo ( round( $average ) == $i ) ? ' selected="selected"' : ''; ?> value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
						<?php endfor; ?>
					</select>
				</div>
			</div>
		</div>
	</div>
</li>