<?php
	$teacher_info = ( get_query_var( 'author_name' ) ) ? get_user_by( 'slug', get_query_var( 'author_name' ) ) : get_userdata( get_query_var( 'author' ) );
	$courses = new WP_Query( array(
		'post_type' => ULMS_COURSES_POST_TYPE,
		'posts_per_page' => -1,
		'meta_query' => array(
			array(
				'key' => 'teachers',
				'value' => serialize( strval( $teacher_info->ID ) ),
				'compare' => 'LIKE'
			)
		)
	) );
?>

<?php if ( $courses->have_posts() ): ?>
	<ul class="account-tabs" id="account-courses-filter">
		<li><a href="#all" class="active"><?php esc_html_e( 'All', 'ulms' ); ?></a></li>
		<li><a href="#online"><?php esc_html_e( 'Online', 'ulms' ); ?></a></li>
		<li><a href="#onsite"><?php esc_html_e( 'Onsite', 'ulms' ); ?></a></li>
	</ul>
	<ul id="courses_container" class="courses_list bordered grid per_row_3">
		<?php while( $courses->have_posts() ): $courses->the_post(); ?>
			<?php get_template_part( 'template-parts/course/loop', 'grid' ); ?>
		<?php endwhile; wp_reset_postdata(); ?>
	</ul>
	<script type="text/javascript">
		jQuery(document).ready(function ($) {
			var courses_isotope = $("#courses_container");
			courses_isotope.isotope({
				itemSelector: '.isotope-item',
				stagger: 50
			});
			$('#account-courses-filter a').on('click', function () {
				$(this).closest('ul').find('.active').removeClass('active');
				$(this).addClass('active');
				var courses_type = $(this).attr('href');
				console.log(courses_type.replace('#',''));
				courses_isotope.isotope({filter: '.' + courses_type.replace('#','')});
				return false;
			});
		});
	</script>
<?php else: ?>
	<div class="woocommerce-message woocommerce-info"><?php esc_html_e( 'Courses not found', 'ulms' ); ?></div>
<?php endif; ?>