<?php
	$teacher_info = ( get_query_var( 'author_name' ) ) ? get_user_by( 'slug', get_query_var( 'author_name' ) ) : get_userdata( get_query_var( 'author' ) );
	$description = get_user_meta( $teacher_info->ID, 'full_description', true );
	$commenting_post_id = get_user_meta( $teacher_info->ID, 'user_commenting_post', true );
?>
<?php if( $description ): ?>
	<div class="wpb_text_column">
		<?php echo apply_filters( 'the_content', $description ); ?>
	</div>
<?php endif; ?>
<?php
	if( $post = get_post( $commenting_post_id  ) ){
		setup_postdata( $post );
		$comments = get_comments( array(
			'post_id' => $commenting_post_id,
			'status' => 'approve'
		) );
		?>
		<div class="teacher-comments">
			<h2 class="section-title"><?php esc_html_e( 'Reviews', 'ulms' ); ?></h2>
			<div id="comments" class="comments-area with-rating">
				<?php
				$rating_count = ulms_get_rating_count();
				$average      = ulms_get_average_rating();

				$args = array(
					'type'    => 'comment',
					'post_id' => get_the_id(),
				);

				$reviews_query = new WP_Comment_Query;
				$reviews      = $reviews_query->query( $args );

				$rate1 = $rate2 = $rate3 = $rate4 = $rate5 = 0;

				if ( $reviews ) {
					foreach ( $reviews as $comment ) {
						$rate = get_comment_meta( $comment->comment_ID, 'rating', true );
						switch ( $rate ) {
							case 1:
								$rate1 ++;
								break;
							case 2:
								$rate2 ++;
								break;
							case 3:
								$rate3 ++;
								break;
							case 4:
								$rate4 ++;
								break;
							case 5:
								$rate5 ++;
								break;
						}
					}
				}
				$rates = array(
					'5' => $rate5,
					'4' => $rate4,
					'3' => $rate3,
					'2' => $rate2,
					'1' => $rate1
				);
				?>
				<div class="total-rating clearfix">
					<div class="total-rating-left">
						<div class="total-rating-value"><?php echo esc_html( round( $average, 1 ) ); ?></div>
						<div class="br-wrapper br-theme-fontawesome-stars">
							<select class="star_rating_disabled">
								<?php if( ! $average ): ?>
									<option value="">&nbsp;</option>
								<?php endif; ?>
								<?php for( $i=1; $i <= 5; $i++ ): ?>
									<option<?php echo ( round( $average ) == $i ) ? ' selected="selected"' : ''; ?> value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
								<?php endfor; ?>
							</select>
						</div>
						<div class="total-rating-num">
							<?php
							$comments_number = get_comments_number();
							if ( 1 === $comments_number ) {
								esc_html_e( '(1 review)', 'ulms' );
							} else {
								printf(
									_nx(
										'(%1$s review)',
										'(%1$s reviews)',
										$comments_number,
										'comments title',
										'ulms'
									),
									number_format_i18n( $comments_number )
								);
							}
							?>
						</div>
					</div>
					<div class="total-rating-right">
						<table class="total-rating-table">
							<?php foreach($rates as $key => $rate): ?>
								<?php
								if($rate !=0 || $rating_count != 0) {
									$bar_rvalue = round($rate*100/$rating_count, 2);
								} else {
									$bar_rvalue = 0;
								}
								?>
								<tr>
									<td class="key"><?php echo sprintf( esc_html__( '%s Stars', 'ulms' ), $key ); ?></td>
									<td class="bar">
										<div class="bar-container">
											<div class="bar-inner" style="width:<?php echo esc_attr($bar_rvalue); ?>%"></div>
										</div>
									</td>
									<td class="value"><?php echo esc_html($rate); ?></td>
								</tr>
							<?php endforeach; ?>
						</table>
					</div>
				</div>

				<?php if ( $comments ) : ?>

					<?php the_comments_navigation(); ?>

					<ul class="comment-list">
						<?php
						wp_list_comments( array(
							'style'       => 'ul',
							'short_ping'  => true,
							'avatar_size' => 140,
							'callback'    => 'ulms_comment_list'
						), $comments );
						?>
					</ul><!-- .comment-list -->

					<?php the_comments_navigation(); ?>

				<?php endif; ?>

				<?php if ( is_user_logged_in() ): ?>
					<?php
						comment_form( array(
							'title_reply_before'   => '<h3 id="reply-title" class="comment-reply-title">',
							'title_reply_after'    => '</h3>',
							'comment_notes_before' => '',
							'comment_notes_after'  => '',
							'title_reply'          => esc_html( 'Leave a Review', 'ulms' )
						), $commenting_post_id );
					?>
				<?php else: ?>
					<p><?php esc_html_e( 'You must be logged in to post a review.', 'ulms' ); ?></p>
				<?php endif; ?>

			</div><!-- .comments-area -->
		</div>
		<?php wp_reset_postdata();
	}
?>