<?php
$teacher_info = ( get_query_var( 'author_name' ) ) ? get_user_by( 'slug', get_query_var( 'author_name' ) ) : get_userdata( get_query_var( 'author' ) );
$groups = new WP_Query( array(
	'post_type' => ULMS_GROUPS_POST_TYPE,
	'posts_per_page' => -1,
	'meta_query' => array(
		array(
			'key' => 'group_teachers',
			'value' => serialize( strval( $teacher_info->ID ) ),
			'compare' => 'LIKE'
		)
	)
) );
?>

<?php if ( $groups->have_posts() ): ?>
	<div id="course-groups" class="nav_section">
		<h2 class="section-title"><?php esc_html_e( 'Groups', 'ulms' ); ?></h2>
		<ul class="groups-list grid">
			<?php while( $groups->have_posts() ): $groups->the_post(); ?>
				<?php
				$group             = Runa_Groups::get_group( get_the_ID() );
				$group_price_class = '';
				$group_class       = '';
				$group_status_text = '';
				if ( ! empty( $group['free'] ) ) {
					$group_price_class = ' free';
				}
				if ( $group['sale_price'] ) {
					$group_price_class = ' sale';
				}
				if( $group['status'] == 'closed' ){
					$group_class .= ' closed';
					$group_status_text = esc_html( 'Closed', 'ulms' );
				}else{
					$group_class .= ' open';
					$group_status_text = esc_html( 'Open', 'ulms' );
				}
				?>
				<li class="<?php echo esc_attr( join( ' ', get_post_class( $group_class, get_the_ID() ) ) ); ?>">
					<div class="group-wrapper">
						<div class="group-image-wr">
							<div class="group-image">
								<a href="<?php echo esc_url( get_permalink( get_the_ID() ) ); ?>">
									<span class="group-price<?php echo esc_attr( $group_price_class ); ?>"><?php echo wp_kses_post( $group['price_html'] ); ?></span>
									<?php echo get_the_post_thumbnail( get_the_ID(), 'ulms-345x234-cropped' ); ?>
									<h4><?php echo esc_html( get_the_title( get_the_ID() ) ); ?></h4>
								</a>
							</div>
						</div>
						<div class="group-details">
							<div class="to-hide">
								<?php if( $group['group_days_label'] ): ?>
									<div class="group-days"><?php echo esc_html( $group['group_days_label'] ); ?></div>
								<?php endif; ?>
								<?php if( $group['group_time_label'] ): ?>
									<div class="group-time"><?php echo esc_html( $group['group_time_label'] ); ?></div>
								<?php endif; ?>
								<div class="clearfix"></div>
								<?php if ( ! empty( $group['teachers'][0] ) ): ?>
									<?php $teacher_data = get_userdata( $group['teachers'][0] ); ?>
									<div class="group-teacher">
										<div class="group-teacher-image">
											<?php echo get_avatar( $teacher_data->ID, '80' ); ?>
										</div>
										<div class="group-teacher-name">
											<?php echo esc_html( $teacher_data->display_name ); ?>
										</div>
									</div>
								<?php endif; ?>
							</div>
							<div class="group-buttons">
								<form method="post" action="">
									<input type="hidden" name="group_id" value="<?php echo esc_attr( $group['ID'] ); ?>" />
									<input type="hidden" name="take_group" value="<?php echo esc_attr( wp_create_nonce( 'runa-take-group-' . $group['ID'] ) ); ?>" />
									<?php if ( isset( $user_courses[ $group['course_id'] ] ) ): ?>
										<button class="button size-sm"><?php esc_html_e( 'Continue course', 'ulms' ); ?></button>
									<?php else: ?>
										<button class="button size-sm"><?php ( $group['free'] || $group['free'] == '' ) ? esc_html_e( 'enroll this group', 'ulms' ) : esc_html_e( 'add to cart', 'ulms' ); ?></button>
									<?php endif; ?>
								</form>
								<a href="<?php echo esc_url( get_permalink( get_the_ID() ) ); ?>" class="button size-sm bordered"><?php esc_html_e( 'View more', 'ulms' ); ?></a>
							</div>
							<div class="group-bottom">
								<div class="group-bottom-left">
									<div class="group-people-num"><i class="fa fa-users"></i> <span><?php echo esc_html( $group['students'] ); echo ( ! empty( $group['max_students'] ) ) ? '/' . $group['max_students'] : ''; ?></span></div>
									<?php if( $group['languages'] ): ?>
										<div class="group-language"><i class="fa fa-language"></i> <span><?php echo esc_html( $group['languages'] ); ?></span></div>
									<?php endif; ?>
								</div>
								<div class="group-bottom-right">
									<div class="group-status"><?php echo esc_html( $group_status_text ); ?></div>
								</div>
							</div>
						</div>
					</div>
				</li>
			<?php endwhile; wp_reset_postdata(); ?>
		</ul>
	</div>
<?php else: ?>
	<div class="woocommerce-message woocommerce-info"><?php esc_html_e( 'Groups not found', 'ulms' ); ?></div>
<?php endif; ?>