<?php
	global $wp_query;
	$teacher_info = ( get_query_var( 'author_name' ) ) ? get_user_by( 'slug', get_query_var( 'author_name' ) ) : get_userdata( get_query_var( 'author' ) );
	$current_page = Runa_Users::get_current_page();
?>

<div class="account-sidebar">
	<div class="account-image">
		<?php echo get_avatar( $teacher_info->ID, 120 ); ?>
	</div>
	<div class="account-name">
		<h4><?php echo esc_html( $teacher_info->display_name ); ?></h4>
	</div>
	<?php if( $teacher_info->user_email ): ?>
		<div class="account-email">
			<a href="mailto:<?php echo antispambot( $teacher_info->user_email ); ?>"><?php echo antispambot( $teacher_info->user_email ); ?></a>
		</div>
	<?php endif; ?>
	<?php if( $phone = get_user_meta( $teacher_info->ID, 'phone', true ) ): ?>
		<div class="account-phone">
			<?php echo esc_html( $phone ); ?>
		</div>
	<?php endif; ?>
	<ul class="account-nav">
		<li<?php echo ( $current_page == 'description' ) ? ' class="is-active"' : ''; ?>>
			<a href="<?php echo get_author_posts_url( $teacher_info->ID ); ?>"><?php esc_html_e( 'Description', 'ulms' ); ?></a>
		</li>
		<li<?php echo ( $current_page == 'courses' ) ? ' class="is-active"' : ''; ?>>
			<a href="<?php echo get_author_posts_url( $teacher_info->ID ); ?>courses/"><?php esc_html_e( 'Courses', 'ulms' ); ?></a>
		</li>
		<li<?php echo ( $current_page == 'groups' ) ? ' class="is-active"' : ''; ?>>
			<a href="<?php echo get_author_posts_url( $teacher_info->ID ); ?>groups/"><?php esc_html_e( 'Groups', 'ulms' ); ?></a>
		</li>
	</ul>
	<?php
	$facebook    = get_user_meta( $teacher_info->ID, 'facebook', true );
	$twitter     = get_user_meta( $teacher_info->ID, 'twitter', true );
	$google_plus = get_user_meta( $teacher_info->ID, 'google_plus', true );
	$linkedin    = get_user_meta( $teacher_info->ID, 'linkedin', true );
	?>
	<?php if( $facebook || $twitter || $google_plus || $linkedin ): ?>
		<ul class="social_links">
			<?php if( $facebook ): ?>
				<li><a href="<?php echo esc_url( $facebook ); ?>" class="facebook"><i class="fa fa-facebook"></i></a></li>
			<?php endif; ?>
			<?php if( $twitter ): ?>
				<li><a href="<?php echo esc_url( $twitter ); ?>" class="twitter"><i class="fa fa-twitter"></i></a></li>
			<?php endif; ?>
			<?php if( $google_plus ): ?>
				<li><a href="<?php echo esc_url( $google_plus ); ?>" class="google-plus"><i class="fa fa-google-plus"></i></a></li>
			<?php endif; ?>
			<?php if( $linkedin ): ?>
				<li><a href="<?php echo esc_url( $linkedin ); ?>" class="linkedin"><i class="fa fa-linkedin"></i></a></li>
			<?php endif; ?>
		</ul>
	<?php endif; ?>
</div>