<?php
$post_id        = get_the_ID();
$page_for_posts = get_option( 'page_for_posts' );
if ( is_home() || is_category() || is_search() || is_tag() || is_tax() ) {
	$post_id = $page_for_posts;
}
if(is_tax( ULMS_COURSE_CATEGORY_SLUG ) ){
	$post_id = ulms_option( 'courses_page' );
}
$title_box_style = get_post_meta( $post_id, 'title_box_style', true );

$blog_title_class = 'title_box';
if ( is_singular( ULMS_COURSES_POST_TYPE ) || is_singular( ULMS_GROUPS_POST_TYPE ) || is_page_template( 'page-templates/page-course-start.php' ) ) {
	$blog_title_class .= ' course-type';
}
if ( ! function_exists( 'bcn_display' ) ) {
	$blog_title_class .= ' no-breadcrumbs';
}
if ( is_singular( 'product' ) ) {
	$blog_title_class .= ' woocommerce-type';
}
?>
<?php if ( $title_box_style == 'style_1' || $title_box_style == '' ): ?>
	<div class="<?php echo esc_attr( $blog_title_class ); ?> style_1">
		<div class="container">
			<?php ulms_breadcrumbs(); ?>
			<?php if ( ! is_singular( ULMS_COURSES_POST_TYPE ) && ! is_singular( ULMS_GROUPS_POST_TYPE ) && ! is_page_template( 'page-templates/page-course-start.php' ) && ! is_singular( 'product' ) ): ?>
				<h1 class="page_title"><?php ulms_page_title(); ?></h1>
			<?php endif; ?>
		</div>
	</div>
<?php elseif ( $title_box_style == 'style_2' ): ?>
	<div class="<?php echo esc_attr( $blog_title_class ); ?> style_2">
		<div class="title_wrapper">
			<div class="container">
				<?php if ( is_single() ): ?>
					<h2 class="h1 page_title"><?php esc_html_e( 'Blog', 'ulms' ); ?></h2>
				<?php else: ?>
					<h1 class="page_title"><?php ulms_page_title(); ?></h1>
				<?php endif; ?>
			</div>
		</div>
		<div class="breadcrumbs_wrapper">
			<div class="container">
				<?php ulms_breadcrumbs(); ?>
			</div>
		</div>
	</div>
<?php endif; ?>