<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_vc_countdown_timer ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$timer_id = uniqid( 'timer_' );

if( empty( $color ) ){
	$color = '#ffffff';
}

?>

<div class="<?php echo esc_attr( $css_class ); ?>" id="<?php echo esc_attr( $timer_id ); ?>">
	<?php if( $color != '#ffffff' ): ?>
		<style type="text/css" scoped>
			#<?php echo esc_attr( $timer_id ); ?> .ClassyCountdown-wrapper .ClassyCountdown-value{
				color: <?php echo esc_attr( $color ); ?>;
			}
		</style>
	<?php endif; ?>
	<script type="text/javascript">
		jQuery(document).ready(function ($) {
			$('#<?php echo esc_attr( $timer_id ); ?>').ClassyCountdown({
				now: <?php echo esc_js( current_time( 'timestamp' ) ); ?>,
				end: <?php echo esc_js( strtotime( $datetime ) ); ?>,
				labelsOptions: {
					lang: {
						days: '<?php echo esc_js( __( 'Days', 'ulms' ) ); ?>',
						hours: '<?php echo esc_js( __( 'Hours', 'ulms' ) ); ?>',
						minutes: '<?php echo esc_js( __( 'Minutes', 'ulms' ) ); ?>',
						seconds: '<?php echo esc_js( __( 'Seconds', 'ulms' ) ); ?>'
					},
					style: 'font-size: 16px;'
				},
				style: {
					element: '',
					labels: false,
					days: {
						gauge: {
							thickness: 0.03,
							bgColor: 'rgba(0,0,0,0.1)',
							fgColor: '<?php echo esc_js( $color ); ?>',
							lineCap: 'butt'
						},
						textCSS: ''
					},
					hours: {
						gauge: {
							thickness: 0.03,
							bgColor: 'rgba(0,0,0,0.1)',
							fgColor: '<?php echo esc_js( $color ); ?>',
							lineCap: 'butt'
						},
						textCSS: ''
					},
					minutes: {
						gauge: {
							thickness: 0.03,
							bgColor: 'rgba(0,0,0,0.1)',
							fgColor: '<?php echo esc_js( $color ); ?>',
							lineCap: 'butt'
						},
						textCSS: ''
					},
					seconds: {
						gauge: {
							thickness: 0.03,
							bgColor: 'rgba(0,0,0,0.1)',
							fgColor: '<?php echo esc_js( $color ); ?>',
							lineCap: 'butt'
						},
						textCSS: ''
					}
				}
			});


		});
	</script>
</div>