<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_vc_courses_slider ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$courses_wrap_id = uniqid( 'courses_' );
$tabs_id = uniqid( 'tabs_' );

$categories_args = array();

if( $disable_child_categories ){
	$categories_args['parent'] = 0;
}

$course_categories = get_terms( ULMS_COURSE_CATEGORY_SLUG, $categories_args);

$all_courses = new WP_Query( array(
	'post_type' => ULMS_COURSES_POST_TYPE,
	'posts_per_page' => 4
) );

?>
<div id="<?php echo esc_attr( $courses_wrap_id ); ?>" class="<?php echo esc_attr( $css_class ); ?>">
	<div class="courses_slider_nav_wr" id="<?php echo esc_attr( $tabs_id ); ?>">
		<ul class="courses_slider_nav">
			<li class="active"><a href="#all_courses"><?php esc_html_e( 'All Courses', 'ulms' ); ?></a></li>
			<?php foreach( $course_categories as $category ): ?>
				<li><a href="#<?php echo esc_attr( $category->slug ); ?>"><?php echo esc_html( $category->name ); ?></a></li>
			<?php endforeach; ?>
		</ul>
		<script type="text/javascript">
			jQuery(document).ready(function ($) {
				var tabs_args = {
					left_arrow_size: 0,
					right_arrow_size: 0,
					click_callback: function (e) {
						var course_id = $(this).find('a').attr('href');
						$(this).siblings().removeClass('active');
						$(this).addClass('active');
						$('#<?php echo esc_attr( $courses_wrap_id ); ?> .courses_container').removeClass('active').siblings(course_id).addClass('active');
						$(".courses_container .courses_list").isotope('layout');
						e.preventDefault();
					}
				};
				var <?php echo esc_attr( $tabs_id ); ?> = $('#<?php echo esc_attr( $tabs_id ); ?> .courses_slider_nav').scrollTabs(tabs_args);
				$(".courses_container .courses_list").isotope({
					itemSelector: '.isotope-item',
					stagger: 50
				});
			});
		</script>
	</div>
	<div id="all_courses" class="courses_container active">
		<ul class="courses_list grid">
			<?php
			while ( $all_courses->have_posts() ) : $all_courses->the_post();
				get_template_part( 'template-parts/course/loop', 'grid' );
			endwhile;
			?>
		</ul>
		<?php if( $all_courses->found_posts > 4 ): ?>
			<div class="show_more_button">
				<a href="#" onclick="load_courses(jQuery(this), 4, 8, 'all'); return false;">
					<i style="opacity: 0;" class="fa fa-circle-o-notch fa-spin"></i>
					<span><?php esc_html_e( 'Show More', 'ulms' );?></span>
					<i class="fa fa-angle-down"></i>
				</a>
			</div>
		<?php endif; ?>
		<?php wp_reset_postdata(); ?>
	</div>
	<?php foreach( $course_categories as $category ): ?>
		<?php
		$courses_by_cat = new WP_Query( array(
			'post_type' => ULMS_COURSES_POST_TYPE,
			'posts_per_page' => 4,
			ULMS_COURSE_CATEGORY_SLUG => $category->slug
		) );
		?>
		<?php if( $courses_by_cat->have_posts() ): ?>
			<div id="<?php echo esc_attr( $category->slug ); ?>" class="courses_container">
				<ul class="courses_list grid">
					<?php
					while ( $courses_by_cat->have_posts() ) : $courses_by_cat->the_post();
						get_template_part( 'template-parts/course/loop', 'grid' );
					endwhile;
					?>
				</ul>
				<?php if( $courses_by_cat->found_posts > 4 ): ?>
					<div class="show_more_button">
						<a href="#" onclick="load_courses(jQuery(this), 4, 8, '<?php echo esc_js( $category->slug )?>'); return false;">
							<i style="opacity: 0;" class="fa fa-circle-o-notch fa-spin"></i>
							<span><?php esc_html_e( 'Show More', 'ulms' );?></span>
							<i class="fa fa-angle-down"></i>
						</a>
					</div>
				<?php endif; ?>
				<?php wp_reset_postdata(); ?>
			</div>
		<?php endif; ?>
	<?php endforeach; ?>
</div>