<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

wp_enqueue_script( 'gmap' );

$css_class = 'ulms_gmap ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$gmap_id = uniqid( 'ulms_gmap_' );

$map_style = array();

if ( $height ) {
	$map_style['height'] = 'height: ' . $height . 'px;';
}

if ( $disable_mouse_whell == 'disable' ) {
	$disable_mouse_whell = 'false';
} else {
	$disable_mouse_whell = 'true';
}

if( ! $marker ){
	$marker = get_template_directory_uri() . '/assets/images/tmp/markers/map_marker_small.png';
}else{
	$marker = wp_get_attachment_image_url( $marker, 'full' );
}

?>

<div class="<?php echo esc_attr( $css_class ); ?>">
	<div<?php echo( ( $map_style ) ? ' style="' . esc_attr( implode( ' ', $map_style ) ) . '"' : '' ); ?> id="<?php echo esc_attr( $gmap_id ); ?>" class="gmap"></div>
	<script defer src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js( ulms_option( 'google_api_key' ) ); ?>"></script>
	<script type="text/javascript">
		jQuery(document).ready(function ($) {
			google.maps.event.addDomListener(window, 'load', init);
			var <?php echo esc_js( $gmap_id ); ?>;
			var myLatLng = {lat: <?php echo esc_js( $lat ); ?>, lng: <?php echo esc_js( $lng ); ?>};
			function init() {
				map = new google.maps.Map(document.getElementById('<?php echo esc_js( $gmap_id ); ?>'), {
					center: myLatLng,
					zoom: <?php echo esc_js( $zoom ); ?>,
					scrollwheel: <?php echo esc_js( $disable_mouse_whell ); ?>,
					styles: [{"featureType":"landscape","stylers":[{"hue":"#FFBB00"},{"saturation":43.400000000000006},{"lightness":37.599999999999994},{"gamma":1}]},{"featureType":"road.highway","stylers":[{"hue":"#FFC200"},{"saturation":-61.8},{"lightness":45.599999999999994},{"gamma":1}]},{"featureType":"road.arterial","stylers":[{"hue":"#FF0300"},{"saturation":-100},{"lightness":51.19999999999999},{"gamma":1}]},{"featureType":"road.local","stylers":[{"hue":"#FF0300"},{"saturation":-100},{"lightness":52},{"gamma":1}]},{"featureType":"water","stylers":[{"hue":"#0078FF"},{"saturation":-13.200000000000003},{"lightness":2.4000000000000057},{"gamma":1}]},{"featureType":"poi","stylers":[{"hue":"#00FF6A"},{"saturation":-1.0989010989011234},{"lightness":11.200000000000017},{"gamma":1}]}]
				});

				var marker = new google.maps.Marker({
					position: myLatLng,
					map: map,
					icon: '<?php echo esc_url( $marker ); ?>'
				});
			}
		});
	</script>
</div>