<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

wp_enqueue_script( 'gmap' );

$css_class = 'ulms_gmap_carousel ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$slick_id  = uniqid( 'slick_' );
$gmap_id = uniqid( 'ulms-gmap-' );
$map_id  = uniqid( 'map_' );

$map_style = array();

if ( $height ) {
	$map_style['height'] = 'height: ' . $height . 'px;';
}

if ( $disable_mouse_whell == 'disable' ) {
	$disable_mouse_whell = 'false';
} else {
	$disable_mouse_whell = 'true';
}

if( ! $marker ){
	$marker = get_template_directory_uri() . '/assets/images/tmp/markers/map_marker_small.png';
}else{
	$marker = wp_get_attachment_image_url( $marker, 'full' );
}

?>

<?php if ( ! empty( $content ) ): ?>
	<div id="<?php echo esc_attr( $map_id ); ?>" class="<?php echo esc_attr( $css_class ); ?>">
		<div<?php echo( ( $map_style ) ? ' style="' . esc_attr( implode( ' ', $map_style ) ) . '"' : '' ); ?> id="<?php echo esc_attr( $gmap_id ); ?>" class="gmap"></div>
		<script defer src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js( ulms_option( 'google_api_key' ) ); ?>"></script>
		<script type="text/javascript">
			jQuery(document).ready(function ($) {
				google.maps.event.addDomListener(window, 'load', init);
				var <?php echo esc_js( $map_id ); ?>, gmarkers = new Object(), <?php echo esc_js( $slick_id ); ?> = $("#<?php echo esc_js( $slick_id ); ?>"), default_marker_icon = '<?php echo esc_url( $marker ); ?>';
				function init() {
					var mapOptions = {
						zoomControlOptions: {
							position: google.maps.ControlPosition.LEFT_TOP
						},
						streetViewControl: false,
						scrollwheel: <?php echo esc_js( $disable_mouse_whell ); ?>,
						styles: [{"featureType":"landscape","stylers":[{"hue":"#FFBB00"},{"saturation":43.400000000000006},{"lightness":37.599999999999994},{"gamma":1}]},{"featureType":"road.highway","stylers":[{"hue":"#FFC200"},{"saturation":-61.8},{"lightness":45.599999999999994},{"gamma":1}]},{"featureType":"road.arterial","stylers":[{"hue":"#FF0300"},{"saturation":-100},{"lightness":51.19999999999999},{"gamma":1}]},{"featureType":"road.local","stylers":[{"hue":"#FF0300"},{"saturation":-100},{"lightness":52},{"gamma":1}]},{"featureType":"water","stylers":[{"hue":"#0078FF"},{"saturation":-13.200000000000003},{"lightness":2.4000000000000057},{"gamma":1}]},{"featureType":"poi","stylers":[{"hue":"#00FF6A"},{"saturation":-1.0989010989011234},{"lightness":11.200000000000017},{"gamma":1}]}]
					};
					var mapElement = document.getElementById('<?php echo esc_js( $gmap_id ); ?>');
					<?php echo esc_js( $map_id ); ?> = new google.maps.Map(mapElement, mapOptions);

					<?php echo esc_js( $slick_id ); ?>.on('setPosition', function () {
						ulms_setMarkers();
					});

					<?php echo esc_js( $slick_id ); ?>.slick({
						slidesToShow: 3,
						slidesToScroll: 3,
						arrows: true,
						prevArrow: '<div class="slick-prev slick-arrow"><i class="fa fa-chevron-left"></i></div>',
						nextArrow: '<div class="slick-next slick-arrow"><i class="fa fa-chevron-right"></i></div>',
						dots: true,
						responsive: [
							{
								breakpoint: 480,
								settings: {
									slidesToShow: 1,
									slidesToScroll: 1,
									arrows: false
								}
							}
						]
					});
					$('#<?php echo esc_js( $slick_id ); ?>').on('mouseenter', '.slick-slide', function () {
						gmarkers[$(this).data('id')].setAnimation(google.maps.Animation.BOUNCE);
					});
					$('#<?php echo esc_js( $slick_id ); ?>').on('mouseleave', '.slick-slide', function () {
						gmarkers[$(this).data('id')].setAnimation(null);
					});

				}
				function ulms_setMarkers(){
					var latlngbounds = new google.maps.LatLngBounds();
					markers = new Object();
					<?php echo esc_js( $slick_id ); ?>.find('.slick-slide.slick-active').each(function (i) {
						markers[$(this).data('id')] = [parseFloat($(this).data('lat')), parseFloat($(this).data('lng')), $(this).data('title')];
					});
					$.each(gmarkers, function (index, value) {
						gmarkers[index].setMap(null);
					});
					$.each(markers,function(index, value){
						var marker_array = markers[index];
						marker = new google.maps.Marker({
							position: {lat: marker_array[0], lng: marker_array[1]},
							icon: default_marker_icon,
							map: <?php echo esc_js( $map_id ); ?>,
							title: marker_array[2]
						});
						latlngbounds.extend(new google.maps.LatLng(marker_array[0], marker_array[1]));

						marker.addListener('mouseover', function() {
							var marker_title = this.getTitle();
							<?php echo esc_js( $slick_id ); ?>.find('.slick-slide[data-title="' + marker_title + '"]').addClass('hovered');
						});

						marker.addListener('mouseout', function() {
							<?php echo esc_js( $slick_id ); ?>.find('.slick-slide').removeClass('hovered');
						});

						gmarkers[index] = marker;
					});
					<?php echo esc_js( $map_id ); ?>.fitBounds(latlngbounds);

					google.maps.event.addListenerOnce(<?php echo esc_js( $map_id ); ?>, 'bounds_changed', function () {
						offsetCenter(latlngbounds.getCenter(), 0, $("#<?php echo esc_attr( $map_id ); ?> .gmap_addresses").innerHeight());
						if( /Android|webOS|iPhone|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ){
							<?php echo esc_js( $map_id ); ?>.setZoom(<?php echo esc_js( $map_id ); ?>.getZoom() - 4 );
						}else{
							<?php echo esc_js( $map_id ); ?>.setZoom(<?php echo esc_js( $map_id ); ?>.getZoom() - 1 );
						}
					});
				}
				function offsetCenter(latlng,offsetx,offsety) {
					map = <?php echo esc_js( $map_id ); ?>;
					var scale = Math.pow(2, map.getZoom());
					var nw = new google.maps.LatLng(
						map.getBounds().getNorthEast().lat(),
						map.getBounds().getSouthWest().lng()
					);

					var worldCoordinateCenter = map.getProjection().fromLatLngToPoint(latlng);
					var pixelOffset = new google.maps.Point((offsetx/scale) || 0,(offsety/scale) ||0)

					var worldCoordinateNewCenter = new google.maps.Point(
						worldCoordinateCenter.x - pixelOffset.x,
						worldCoordinateCenter.y + pixelOffset.y
					);

					var newCenter = map.getProjection().fromPointToLatLng(worldCoordinateNewCenter);

					map.setCenter(newCenter);

				}
			});
		</script>
		<div class="gmap_addresses">
			<div class="container">
				<div class="addresses" id="<?php echo esc_attr( $slick_id ); ?>">
					<?php echo wpb_js_remove_wpautop( $content ); ?>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>