<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$address_id = uniqid( 'address_id_' );

?>

<div data-id="<?php echo esc_attr( $address_id ); ?>" class="item" data-lat="<?php echo esc_attr( $lat ); ?>" data-lng="<?php echo esc_attr( $lng ); ?>" data-title="<?php echo esc_attr( $title ); ?>">
	<div class="item_wr">
		<?php if( ! empty( $title ) ): ?>
			<div class="title"><?php echo esc_html( $title ); ?></div>
		<?php endif; ?>
		<ul>
			<?php if( ! empty( $address ) ): ?>
				<li>
					<div class="icon">
						<i class="fa fa-map-marker"></i>
					</div>
					<div class="text">
						<p><?php echo wp_kses( $address, array( 'br' => array() ) ); ?></p>
					</div>
				</li>
			<?php endif; ?>
			<?php if( ! empty( $email ) ): ?>
				<li>
					<div class="icon">
						<i class="fa fa-envelope-o"></i>
					</div>
					<div class="text">
						<a href="mailto:<?php echo antispambot( $email ); ?>"><?php echo antispambot( $email ); ?></a>
					</div>
				</li>
			<?php endif; ?>
			<?php if( ! empty( $phone ) ): ?>
				<li>
					<div class="icon">
						<i class="fa fa-mobile"></i>
					</div>
					<div class="text">
						<p><?php echo esc_html( $phone ); ?></p>
					</div>
				</li>
			<?php endif; ?>
		</ul>
	</div>
</div>