<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_vc_image_carousel ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$link = vc_build_link( $link );

$slick_id = uniqid( 'slick-' );

if ( '' === $images ) {
	$images = '-1,-2,-3';
}

$images = explode( ',', $images );

?>
<div class="<?php echo esc_attr( $css_class ); ?>">

	<div class="image_carousel" id="<?php echo esc_attr( $slick_id ); ?>">
		<?php foreach ( $images as $attach_id ) : ?>
			<?php
			if ( $attach_id > 0 ) {
				$post_thumbnail = wpb_getImageBySize( array(
					'attach_id'  => $attach_id,
					'thumb_size' => $img_size,
				) );
			} else {
				$post_thumbnail                   = array();
				$post_thumbnail['thumbnail']      = '<img src="' . esc_url( vc_asset_url( 'vc/no_image.png' ) ) . '" />';
				$post_thumbnail['p_img_large'][0] = vc_asset_url( 'vc/no_image.png' );
			}
			$thumbnail = $post_thumbnail['thumbnail'];
			?>
			<div class="item">
				<?php if ( $link['url'] ): ?>
					<a href="<?php echo esc_url( $link['url'] ); ?>"><?php echo wp_kses_post( $thumbnail ); ?></a>
				<?php else: ?>
					<?php echo wp_kses_post( $thumbnail ); ?>
				<?php endif; ?>
			</div>
		<?php endforeach; ?>
	</div>

	<script type="text/javascript">
		jQuery(document).ready(function ($) {
			$("#<?php echo esc_attr( $slick_id ); ?>").slick({
				slidesToShow: <?php echo esc_js( $items ); ?>,
				slidesToScroll: <?php echo esc_js( $items_to_scroll ); ?>,
				swipe: true,
				<?php if( $autoplay ): ?>
				autoplay: true,
				autoplaySpeed: <?php echo esc_js( $timeout ); ?>,
				<?php endif; ?>
				<?php if( $dots ): ?>
				dots: true,
				<?php endif; ?>
				<?php if( $nav_buttons ): ?>
				arrows: true,
				<?php else: ?>
				arrows: false,
				<?php endif; ?>
				prevArrow: '<div class="slick-prev slick-arrow"><i class="fa fa-chevron-left"></i></div>',
				nextArrow: '<div class="slick-next slick-arrow"><i class="fa fa-chevron-right"></i></div>',
				<?php if( $loop ): ?>
				infinite: true,
				<?php endif; ?>
				speed: <?php echo esc_js( $smart_speed ); ?>,
				responsive: [
					{
						breakpoint: 1024,
						settings: {
							slidesToShow: <?php echo esc_js( $items_small_desktop ); ?>
						}
					},
					{
						breakpoint: 600,
						settings: {
							slidesToShow: <?php echo esc_js( $items_tablet ); ?>
						}
					},
					{
						breakpoint: 480,
						settings: {
							slidesToShow: <?php echo esc_js( $items_mobile ); ?>,
							slidesToScroll: <?php echo esc_js( $items_mobile ); ?>,
							arrows: false,
							dots: true
						}
					}
				]
			});
		});
	</script>

</div>