<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_vc_info_box ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );
if( $enable_hover_animation ){
	$css_class .= ' enable_hover_animation';
}

$icon = isset( ${'icon_' . $icon_type} ) ? esc_attr( ${'icon_' . $icon_type} ) : '';

$info_box_style = array();
$icon_style = array();
$icon_wr_style = array();

if( $icon_size ){
	$icon_style['font-size'] = 'font-size: ' . $icon_size . 'px;';
}
if( $icon_wr_width ){
	$icon_wr_style['width'] = 'width: ' . $icon_wr_width . 'px;';
}
if( $color ){
	$info_box_style['color'] = 'color: ' . $color . ';';
}

if ( 'pixelicons' !== $icon_type ) {
	vc_icon_element_fonts_enqueue( $icon_type );
}

?>

<div class="<?php echo esc_attr( $css_class ); ?>"<?php echo ( $info_box_style ) ? ' style="' . implode( ' ', $info_box_style ) . '"' : ''; ?>>
	<?php if( $icon ): ?>
		<div class="info_box_left"<?php echo ( $icon_wr_style ) ? ' style="' . implode( ' ', $icon_wr_style ) . '"' : ''; ?>>
			<div class="icon"<?php echo ( $icon_style ) ? ' style="' . implode( ' ', $icon_style ) . '"' : ''; ?>>
				<i class="<?php echo esc_attr( $icon ); ?>"></i>
			</div>
		</div>
	<?php endif; ?>
	<div class="info_box_right">
		<h3 class="title"><?php echo esc_html( $title ); ?></h3>
		<p><?php echo esc_html( $content ); ?></p>
	</div>
</div>