<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_vc_info_box_mini ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );
$css_class .= ' ' . $style;

$icon = isset( ${'icon_' . $icon_type} ) ? esc_attr( ${'icon_' . $icon_type} ) : '';

$info_box_style = array();
$icon_style = array();
$icon_wr_style = array();

if( $icon_size ){
	$icon_style['font-size'] = 'font-size: ' . $icon_size . 'px;';
	$icon_style['line-height'] = 'line-height: ' . $icon_size . 'px;';
}
if( $icon_color ){
	$icon_style['color'] = 'color: ' . $icon_color . ';';
}
if( $color ){
	$info_box_style['color'] = 'color: ' . $color . ';';
}
if( $icon_wr_width ){
	$icon_wr_style['width'] = 'width: ' . $icon_wr_width . 'px;';
}

if ( 'pixelicons' !== $icon_type ) {
	vc_icon_element_fonts_enqueue( $icon_type );
}

?>

<div class="<?php echo esc_attr( $css_class ); ?>"<?php echo ( $info_box_style ) ? ' style="' . implode( ' ', $info_box_style ) . '"' : ''; ?>>
	<?php if( $style == 'style_2' ): ?>
		<h4 class="title"><?php echo esc_html( $title ); ?></h4>
		<?php if( $icon ): ?>
			<div class="info_box_left">
				<div class="icon"<?php echo ( $icon_style ) ? ' style="' . implode( ' ', $icon_style ) . '"' : ''; ?>>
					<i class="<?php echo esc_attr( $icon ); ?>"></i>
				</div>
			</div>
		<?php endif; ?>
		<div class="info_box_right">
			<p><?php echo wp_kses( $content, array( 'a' => array( 'href' => array(), 'title' => '' ) ) ); ?></p>
		</div>
	<?php else: ?>
		<?php if( $icon ): ?>
			<div class="info_box_left"<?php echo ( $icon_wr_style ) ? ' style="' . implode( ' ', $icon_wr_style ) . '"' : ''; ?>>
				<div class="icon"<?php echo ( $icon_style ) ? ' style="' . implode( ' ', $icon_style ) . '"' : ''; ?>>
					<i class="<?php echo esc_attr( $icon ); ?>"></i>
				</div>
			</div>
		<?php endif; ?>
		<div class="info_box_right">
			<div class="title"><?php echo esc_html( $title ); ?></div>
			<p><?php echo wp_kses( $content, array( 'a' => array( 'href' => array(), 'title' => '' ) ) ); ?></p>
		</div>
	<?php endif; ?>
</div>