<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_vc_stats_counter ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$id = uniqid( 'counter_' );

$icon = isset( ${'icon_' . $icon_type} ) ? esc_attr( ${'icon_' . $icon_type} ) : '';

$icon_style = array();
$icon_wr_style = array();
$title_style = array();
$value_style = array();

if( $icon_size ){
	$icon_style['font-size'] = 'font-size: ' . $icon_size . 'px;';
}
if( $icon_wr_height ){
	$icon_wr_style['height'] = 'height: ' . $icon_wr_height . 'px;';
}
if( $icon_color ){
	$icon_wr_style['color'] = 'color: ' . $icon_color . ';';
}
if( $title_color ){
	$title_style['color'] = 'color: ' . $title_color . ';';
}
if( $value_color ){
	$value_style['color'] = 'color: ' . $value_color . ';';
}
?>

<div class="<?php echo esc_attr( $css_class ); ?>">
	<?php if( $icon ): ?>
		<div class="counter_icon"<?php echo ( $icon_wr_style ) ? ' style="' . implode( ' ', $icon_wr_style ) . '"' : ''; ?>>
			<i class="<?php echo esc_attr( $icon ); ?>"<?php echo ( $icon_style ) ? ' style="' . implode( ' ', $icon_style ) . '"' : ''; ?>></i>
		</div>
	<?php endif; ?>
	<?php if( wp_is_mobile() ){ ?>
		<div class="counter_value"<?php echo ( $value_style ) ? ' style="' . implode( ' ', $value_style ) . '"' : ''; ?>><?php echo esc_html( $prefix . $value . $suffix ); ?></div>
	<?php }else{ ?>
		<div class="counter_value"<?php echo ( $value_style ) ? ' style="' . implode( ' ', $value_style ) . '"' : ''; ?> id="<?php echo esc_attr( $id ); ?>">0</div>
	<?php } ?>
	<?php if ( $title ) { ?>
		<div class="counter_title"<?php echo ( $title_style ) ? ' style="' . implode( ' ', $title_style ) . '"' : ''; ?>><?php echo esc_html( $title ); ?></div>
	<?php } ?>
	<?php if( ! wp_is_mobile() ){ ?>
		<script type="text/javascript">
			jQuery(document).ready(function($) {
				var <?php echo esc_attr( $id ); ?> = new CountUp("<?php echo esc_attr( $id ); ?>", 0, <?php echo esc_attr( $value ); ?>, 0, 2.5, {
					useEasing : true,
					useGrouping: true,
					prefix : '<?php echo esc_js( $prefix ); ?>',
					suffix : '<?php echo esc_js( $suffix ); ?>'
				});
				$("#<?php echo esc_attr( $id ); ?>").appear();
				$("#<?php echo esc_attr( $id ); ?>").on('appear', function() {
					<?php echo esc_attr( $id ); ?>.start();
				});
			});
		</script>
	<?php } ?>
</div>