<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_team_member ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

?>
<?php if( $member_data = get_user_by( 'id', $user_id ) ): ?>
	<div class="<?php echo esc_attr( $css_class ); ?>">
		<div class="member-image">
			<a href="<?php echo get_author_posts_url( $member_data->ID ); ?>">
				<?php echo get_avatar( $member_data->ID, 200 ); ?>
			</a>
		</div>
		<h4 class="member-name">
			<a href="<?php echo get_author_posts_url( $member_data->ID ); ?>">
				<?php echo esc_html( $member_data->display_name ); ?>
			</a>
		</h4>
		<?php if ( $speciality = get_user_meta( $member_data->ID, 'speciality', true ) ): ?>
			<div class="member-speciality"><?php echo esc_html( $speciality ); ?></div>
		<?php endif; ?>
		<?php
		$facebook    = get_user_meta( $member_data->ID, 'facebook', true );
		$twitter     = get_user_meta( $member_data->ID, 'twitter', true );
		$google_plus = get_user_meta( $member_data->ID, 'google_plus', true );
		$linkedin    = get_user_meta( $member_data->ID, 'linkedin', true );
		?>
		<?php if( $facebook || $twitter || $google_plus || $linkedin ): ?>
			<ul class="member-socials">
				<?php if ( $facebook ): ?>
					<li>
						<a target="_blank" class="facebook" href="<?php echo esc_url( $facebook ); ?>">
							<i class="fa fa-facebook"></i>
						</a>
					</li>
				<?php endif; ?>
				<?php if ( $twitter ): ?>
					<li>
						<a target="_blank" class="twitter" href="<?php echo esc_url( $twitter ); ?>">
							<i class="fa fa-twitter"></i>
						</a>
					</li>
				<?php endif; ?>
				<?php if ( $google_plus ): ?>
					<li>
						<a target="_blank" class="google-plus" href="<?php echo esc_url( $google_plus ); ?>">
							<i class="fa fa-google-plus"></i>
						</a>
					</li>
				<?php endif; ?>
				<?php if ( $linkedin ): ?>
					<li>
						<a target="_blank" class="linkedin" href="<?php echo esc_url( $linkedin ); ?>">
							<i class="fa fa-linkedin"></i>
						</a>
					</li>
				<?php endif; ?>
			</ul>
		<?php endif; ?>
	</div>
<?php endif; ?>