<?php
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$css_class = 'ulms_testimonials_carousel ' . $extra_class;
$css_class .= apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ) );

$testimonials = new WP_Query( array(
	'post_type' => ULMS_TESTIMONIALS_POST_TYPE,
	'posts_per_page' => -1
) );

$slick_id = uniqid( 'slick-' );

?>

<?php if ( $testimonials->have_posts() ): ?>

	<div class="<?php echo esc_attr( $css_class ); ?>">
		<ul class="testimonials-carousel" id="<?php echo esc_attr( $slick_id ); ?>">
			<?php while ( $testimonials->have_posts() ) : $testimonials->the_post(); ?>
				<li>
					<?php if( has_post_thumbnail() ): ?>
						<div class="testimonials-avatar">
							<?php the_post_thumbnail( 'ulms-70x70-cropped' ); ?>
						</div>
					<?php endif; ?>
					<div class="testimonials-info">
						<div class="testimonials-title"><?php the_title(); ?></div>
						<?php $rating = get_post_meta( get_the_ID(), 'testimonial_rating', true ); ?>
						<?php if( $rating ): ?>
							<div class="br-wrapper br-theme-fontawesome-stars">
								<select class="star_rating_disabled">
									<?php for( $i=1; $i <= 5; $i++ ): ?>
										<option<?php echo ( round( $rating ) == $i ) ? ' selected="selected"' : ''; ?> value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
									<?php endfor; ?>
								</select>
							</div>
						<?php endif; ?>
						<p><?php echo get_the_excerpt(); ?></p>
					</div>
				</li>
			<?php
			endwhile;
			wp_reset_postdata();
			?>
		</ul>
	</div>

	<script type="text/javascript">
		jQuery(document).ready(function ($) {
			$("#<?php echo esc_js( $slick_id ); ?>").slick({
				slidesToShow: 2,
				slidesToScroll: 2,
				swipe: true,
				autoplay: true,
				dots: true,
				arrows: false,
				prevArrow: '<div class="slick-prev slick-arrow"><i class="fa fa-chevron-left"></i></div>',
				nextArrow: '<div class="slick-next slick-arrow"><i class="fa fa-chevron-right"></i></div>',
				infinite: true,
				responsive: [
					{
						breakpoint: 600,
						settings: {
							slidesToShow: 1,
							slidesToScroll: 1
						}
					}
				]
			});
		});
	</script>

<?php endif; ?>